#ifndef __TXP__BACKENDS__POSTSCRIPT_H
    #define __TXP__BACKENDS__POSTSCRIPT_H

    #include<map>
    #include<iomanip>
    #include "backends.h"


    // glyph names: http://www.jdawiseman.com/papers/trivia/character-entities.html
    // character-naming is a pretty bad idea, IMHO...

    class TXPBackendPostscript : public TXPBackendFile
    {
        public:
            TXPBackendPostscript(std::string FileName);
            ~TXPBackendPostscript();

            void Initialize(int NumberOfPages, time_t CreationTime, std::wstring Author=L"", std::wstring Title=L"");
            void NewPage(int PageNumber, float width_cm, float height_cm, float resolution_dpi);
        protected:
            std::string ToPsString(const std::wstring& str);
            void PutTextDots(int left, int top, const std::wstring& text, TXPFontSettings* font);
        public:
            void FinishPage();
            void Finish();
            static const std::string GlyphName(wchar_t UnicodeCodepoint);
    };


#endif

