#include <string>
#include "../../include/backends/postscript.h"
// http://www.jdawiseman.com/papers/trivia/character-entities.html
    const std::string TXPBackendPostscript::GlyphName(wchar_t UnicodeCodepoint)
    {
        switch(UnicodeCodepoint)
        {
            case 0x00A0: return "nonbreakingspace";
            case 0x00A1: return "exclamdown";
            case 0x00A2: return "cent";
            case 0x00A3: return "sterling";
            case 0x00A4: return "currency";
            case 0x00A5: return "yen";
            case 0x00A6: return "brokenbar";
            case 0x00A7: return "section";
            case 0x00A8: return "dieresis";
            case 0x00A9: return "copyright";
            case 0x00AA: return "ordfeminine";
            case 0x00AB: return "guillemotleft";
            case 0x00AC: return "logicalnot";
            case 0x00AD: return "softhyphen";
            case 0x00AE: return "registered";
            case 0x00AF: return "overscore";
            case 0x00B0: return "degree";
            case 0x00B1: return "plusminus";
            case 0x00B2: return "twosuperior";
            case 0x00B3: return "threesuperior";
            case 0x00B4: return "acute";
            case 0x00B5: return "mu1";
            case 0x00B6: return "paragraph";
            case 0x00B7: return "periodcentered";
            case 0x00B8: return "cedilla";
            case 0x00B9: return "onesuperior";
            case 0x00BA: return "ordmasculine";
            case 0x00BB: return "guillemotright";
            case 0x00BC: return "onequarter";
            case 0x00BD: return "onehalf";
            case 0x00BE: return "threequarters";
            case 0x00BF: return "questiondown";
            case 0x00C0: return "Agrave";
            case 0x00C1: return "Aacute";
            case 0x00C2: return "Acircumflex";
            case 0x00C3: return "Atilde";
            case 0x00C4: return "Adieresis";
            case 0x00C5: return "Aring";
            case 0x00C6: return "AE";
            case 0x00C7: return "Ccedilla";
            case 0x00C8: return "Egrave";
            case 0x00C9: return "Eacute";
            case 0x00CA: return "Ecircumflex";
            case 0x00CB: return "Edieresis";
            case 0x00CC: return "Igrave";
            case 0x00CD: return "Iacute";
            case 0x00CE: return "Icircumflex";
            case 0x00CF: return "Idieresis";
            case 0x00D0: return "Eth";
            case 0x00D1: return "Ntilde";
            case 0x00D2: return "Ograve";
            case 0x00D3: return "Oacute";
            case 0x00D4: return "Ocircumflex";
            case 0x00D5: return "Otilde";
            case 0x00D6: return "Odieresis";
            case 0x00D7: return "multiply";
            case 0x00D8: return "Oslash";
            case 0x00D9: return "Ugrave";
            case 0x00DA: return "Uacute";
            case 0x00DB: return "Ucircumflex";
            case 0x00DC: return "Udieresis";
            case 0x00DD: return "Yacute";
            case 0x00DE: return "Thorn";
            case 0x00DF: return "germandbls";
            case 0x00E0: return "agrave";
            case 0x00E1: return "aacute";
            case 0x00E2: return "acircumflex";
            case 0x00E3: return "atilde";
            case 0x00E4: return "adieresis";
            case 0x00E5: return "aring";
            case 0x00E6: return "ae";
            case 0x00E7: return "ccedilla";
            case 0x00E8: return "egrave";
            case 0x00E9: return "eacute";
            case 0x00EA: return "ecircumflex";
            case 0x00EB: return "edieresis";
            case 0x00EC: return "igrave";
            case 0x00ED: return "iacute";
            case 0x00EE: return "icircumflex";
            case 0x00EF: return "idieresis";
            case 0x00F0: return "eth";
            case 0x00F1: return "ntilde";
            case 0x00F2: return "ograve";
            case 0x00F3: return "oacute";
            case 0x00F4: return "ocircumflex";
            case 0x00F5: return "otilde";
            case 0x00F6: return "odieresis";
            case 0x00F7: return "divide";
            case 0x00F8: return "oslash";
            case 0x00F9: return "ugrave";
            case 0x00FA: return "uacute";
            case 0x00FB: return "ucircumflex";
            case 0x00FC: return "udieresis";
            case 0x00FD: return "yacute";
            case 0x00FE: return "thorn";
            case 0x00FF: return "ydieresis";
            case 0x0192: return "florin";
            case 0x0391: return "Alpha";
            case 0x0392: return "Beta";
            case 0x0393: return "Gamma";
            case 0x0394: return "Deltagreek";
            case 0x0395: return "Epsilon";
            case 0x0396: return "Zeta";
            case 0x0397: return "Eta";
            case 0x0398: return "Theta";
            case 0x0399: return "Iota";
            case 0x039A: return "Kappa";
            case 0x039B: return "Lambda";
            case 0x039C: return "Mu";
            case 0x039D: return "Nu";
            case 0x039E: return "Xi";
            case 0x039F: return "Omicron";
            case 0x03A0: return "Pi";
            case 0x03A1: return "Rho";
            case 0x03A3: return "Sigma";
            case 0x03A4: return "Tau";
            case 0x03A5: return "Upsilon";
            case 0x03A6: return "Phi";
            case 0x03A7: return "Chi";
            case 0x03A8: return "Psi";
            case 0x03A9: return "Omegagreek";
            case 0x03B1: return "alpha";
            case 0x03B2: return "beta";
            case 0x03B3: return "gamma";
            case 0x03B4: return "delta";
            case 0x03B5: return "epsilon";
            case 0x03B6: return "zeta";
            case 0x03B7: return "eta";
            case 0x03B8: return "theta";
            case 0x03B9: return "iota";
            case 0x03BA: return "kappa";
            case 0x03BB: return "lambda";
            case 0x03BC: return "mugreek";
            case 0x03BD: return "nu";
            case 0x03BE: return "xi";
            case 0x03BF: return "omicron";
            case 0x03C0: return "pi";
            case 0x03C1: return "rho";
            case 0x03C2: return "sigmafinal";
            case 0x03C3: return "sigma";
            case 0x03C4: return "tau";
            case 0x03C5: return "upsilon";
            case 0x03C6: return "phi";
            case 0x03C7: return "chi";
            case 0x03C8: return "psi";
            case 0x03C9: return "omega";
            case 0x03D1: return "thetasymbolgreek";
            case 0x03D2: return "Upsilonhooksymbol";
            case 0x03D6: return "pisymbolgreek";
            case 0x2022: return "bullet";
            case 0x2026: return "ellipsis";
            case 0x2032: return "minute";
            case 0x2033: return "second";
            case 0x203E: return "overline";
            case 0x2044: return "fraction";
            case 0x2118: return "weierstrass";
            case 0x2111: return "Ifraktur";
            case 0x211C: return "Rfraktur";
            case 0x2122: return "trademark";
            case 0x2135: return "aleph";
            case 0x2190: return "arrowleft";
            case 0x2191: return "arrowup";
            case 0x2192: return "arrowright";
            case 0x2193: return "arrowdown";
            case 0x2194: return "arrowboth";
            case 0x21B5: return "carriagereturn";
            case 0x21D0: return "arrowleftdbl";
            case 0x21D1: return "arrowdblup";
            case 0x21D2: return "dblarrowright";
            case 0x21D3: return "arrowdbldown";
            case 0x21D4: return "dblarrowleft";
            case 0x2200: return "universal";
            case 0x2202: return "partialdiff";
            case 0x2203: return "thereexists";
            case 0x2205: return "emptyset";
            case 0x2207: return "nabla";
            case 0x2208: return "element";
            case 0x2209: return "notelementof";
            case 0x220B: return "suchthat";
            case 0x220F: return "product";
            case 0x2211: return "summation";
            case 0x2212: return "minus";
            case 0x2217: return "asteriskmath";
            case 0x221A: return "radical";
            case 0x221D: return "proportional";
            case 0x221E: return "infinity";
            case 0x2220: return "angle";
            case 0x2227: return "logicaland";
            case 0x2228: return "logicalor";
            case 0x2229: return "intersection";
            case 0x222A: return "union";
            case 0x222B: return "integral";
            case 0x2234: return "therefore";
            case 0x223C: return "tildeoperator";
            case 0x2245: return "congruent";
            case 0x2248: return "approxequal";
            case 0x2260: return "notequal";
            case 0x2261: return "equivalence";
            case 0x2264: return "lessequal";
            case 0x2265: return "greaterequal";
            case 0x2282: return "subset";
            case 0x2283: return "superset";
            case 0x2284: return "notsubset";
            case 0x2286: return "subsetorequal";
            case 0x2287: return "supersetorequal";
            case 0x2295: return "pluscircle";
            case 0x2297: return "timescircle";
            case 0x22A5: return "perpendicular";
            case 0x22C5: return "dotmath";
            case 0x2329: return "angleleft";
            case 0x232A: return "angleright";
            case 0x25CA: return "lozenge";
            case 0x2660: return "spadesuitblack";
            case 0x2663: return "clubsuitblack";
            case 0x2665: return "heartsuitblack";
            case 0x2666: return "diamond";
            case 0x0022: return "quotedbl";
            case 0x0026: return "ampersand";
            case 0x003C: return "less";
            case 0x003E: return "greater";
            case 0x0152: return "OE";
            case 0x0153: return "oe";
            case 0x0160: return "Scaron";
            case 0x0161: return "scaron";
            case 0x0178: return "Ydieresis";
            case 0x02C6: return "circumflex";
            case 0x02DC: return "tilde";
            case 0x2002: return "enspace";
            case 0x200C: return "zerowidthnonjoiner";
            case 0x200D: return "afii301";
            case 0x200E: return "afii299";
            case 0x200F: return "afii300";
            case 0x2013: return "endash";
            case 0x2014: return "emdash";
            case 0x2018: return "quoteleft";
            case 0x2019: return "quoteright";
            case 0x201A: return "quotesinglbase";
            case 0x201C: return "quotedblleft";
            case 0x201D: return "quotedblright";
            case 0x201E: return "quotedblbase";
            case 0x2020: return "dagger";
            case 0x2021: return "daggerdbl";
            case 0x2030: return "perthousand";
            case 0x2039: return "guilsinglleft";
            case 0x203A: return "guilsinglright";
            case 0x20AC: return "Euro";
            case 0x0001: return "controlSTX";
            case 0x0002: return "controlSOT";
            case 0x0003: return "controlETX";
            case 0x0004: return "controlEOT";
            case 0x0005: return "controlENQ";
            case 0x0006: return "controlACK";
            case 0x0007: return "controlBEL";
            case 0x0008: return "controlBS";
            case 0x0009: return "controlHT";
            case 0x000A: return "controlLF";
            case 0x000B: return "controlVT";
            case 0x000C: return "controlFF";
            case 0x000D: return "controlCR";
            case 0x000E: return "controlSO";
            case 0x000F: return "controlSI";
            case 0x0010: return "controlDLE";
            case 0x0011: return "controlDC1";
            case 0x0012: return "controlDC2";
            case 0x0013: return "controlDC3";
            case 0x0014: return "controlDC4";
            case 0x0015: return "controlNAK";
            case 0x0016: return "controlSYN";
            case 0x0017: return "controlETB";
            case 0x0018: return "controlCAN";
            case 0x0019: return "controlEM";
            case 0x001A: return "controlSUB";
            case 0x001B: return "controlESC";
            case 0x001C: return "controlFS";
            case 0x001D: return "controlGS";
            case 0x001E: return "controlRS";
            case 0x001F: return "controlUS";
            case 0x0020: return "space";
            case 0x0021: return "exclam";
            case 0x0023: return "numbersign";
            case 0x0024: return "dollar";
            case 0x0025: return "percent";
            case 0x0027: return "quotesingle";
            case 0x0028: return "parenleft";
            case 0x0029: return "parenright";
            case 0x002A: return "asterisk";
            case 0x002B: return "plus";
            case 0x002C: return "comma";
            case 0x002D: return "hyphen";
            case 0x002E: return "period";
            case 0x002F: return "slash";
            case 0x0030: return "zero";
            case 0x0031: return "one";
            case 0x0032: return "two";
            case 0x0033: return "three";
            case 0x0034: return "four";
            case 0x0035: return "five";
            case 0x0036: return "six";
            case 0x0037: return "seven";
            case 0x0038: return "eight";
            case 0x0039: return "nine";
            case 0x003A: return "colon";
            case 0x003B: return "semicolon";
            case 0x003D: return "equal";
            case 0x003F: return "question";
            case 0x0040: return "at";
            case 0x0041: return "A";
            case 0x0042: return "B";
            case 0x0043: return "C";
            case 0x0044: return "D";
            case 0x0045: return "E";
            case 0x0046: return "F";
            case 0x0047: return "G";
            case 0x0048: return "H";
            case 0x0049: return "I";
            case 0x004A: return "J";
            case 0x004B: return "K";
            case 0x004C: return "L";
            case 0x004D: return "M";
            case 0x004E: return "N";
            case 0x004F: return "O";
            case 0x0050: return "P";
            case 0x0051: return "Q";
            case 0x0052: return "R";
            case 0x0053: return "S";
            case 0x0054: return "T";
            case 0x0055: return "U";
            case 0x0056: return "V";
            case 0x0057: return "W";
            case 0x0058: return "X";
            case 0x0059: return "Y";
            case 0x005A: return "Z";
            case 0x005B: return "bracketleft";
            case 0x005C: return "backslash";
            case 0x005D: return "bracketright";
            case 0x005E: return "asciicircum";
            case 0x005F: return "underscore";
            case 0x0060: return "grave";
            case 0x0061: return "a";
            case 0x0062: return "b";
            case 0x0063: return "c";
            case 0x0064: return "d";
            case 0x0065: return "e";
            case 0x0066: return "f";
            case 0x0067: return "g";
            case 0x0068: return "h";
            case 0x0069: return "i";
            case 0x006A: return "j";
            case 0x006B: return "k";
            case 0x006C: return "l";
            case 0x006D: return "m";
            case 0x006E: return "n";
            case 0x006F: return "o";
            case 0x0070: return "p";
            case 0x0071: return "q";
            case 0x0072: return "r";
            case 0x0073: return "s";
            case 0x0074: return "t";
            case 0x0075: return "u";
            case 0x0076: return "v";
            case 0x0077: return "w";
            case 0x0078: return "x";
            case 0x0079: return "y";
            case 0x007A: return "z";
            case 0x007B: return "braceleft";
            case 0x007C: return "verticalbar";
            case 0x007D: return "braceright";
            case 0x007E: return "asciitilde";
            case 0x007F: return "controlDEL";
            case 0x0100: return "Amacron";
            case 0x0101: return "amacron";
            case 0x0102: return "Abreve";
            case 0x0103: return "abreve";
            case 0x0104: return "Aogonek";
            case 0x0105: return "aogonek";
            case 0x0106: return "Cacute";
            case 0x0107: return "cacute";
            case 0x0108: return "Ccircumflex";
            case 0x0109: return "ccircumflex";
            case 0x010A: return "Cdotaccent";
            case 0x010B: return "cdotaccent";
            case 0x010C: return "Ccaron";
            case 0x010D: return "ccaron";
            case 0x010E: return "Dcaron";
            case 0x010F: return "dcaron";
            case 0x0110: return "Dslash";
            case 0x0111: return "dmacron";
            case 0x0112: return "Emacron";
            case 0x0113: return "emacron";
            case 0x0114: return "Ebreve";
            case 0x0115: return "ebreve";
            case 0x0116: return "Edotaccent";
            case 0x0117: return "edotaccent";
            case 0x0118: return "Eogonek";
            case 0x0119: return "eogonek";
            case 0x011A: return "Ecaron";
            case 0x011B: return "ecaron";
            case 0x011C: return "Gcircumflex";
            case 0x011D: return "gcircumflex";
            case 0x011E: return "Gbreve";
            case 0x011F: return "gbreve";
            case 0x0120: return "Gdotaccent";
            case 0x0121: return "gdotaccent";
            case 0x0122: return "Gcommaaccent";
            case 0x0123: return "gcommaaccent";
            case 0x0124: return "Hcircumflex";
            case 0x0125: return "hcircumflex";
            case 0x0126: return "Hbar";
            case 0x0127: return "hbar";
            case 0x0128: return "Itilde";
            case 0x0129: return "itilde";
            case 0x012A: return "Imacron";
            case 0x012B: return "imacron";
            case 0x012C: return "Ibreve";
            case 0x012D: return "ibreve";
            case 0x012E: return "Iogonek";
            case 0x012F: return "iogonek";
            case 0x0130: return "Idotaccent";
            case 0x0131: return "dotlessi";
            case 0x0132: return "IJ";
            case 0x0133: return "ij";
            case 0x0134: return "Jcircumflex";
            case 0x0135: return "jcircumflex";
            case 0x0136: return "Kcommaaccent";
            case 0x0137: return "kcommaaccent";
            case 0x0138: return "kgreenlandic";
            case 0x0139: return "Lacute";
            case 0x013A: return "lacute";
            case 0x013B: return "Lcommaaccent";
            case 0x013C: return "lcommaaccent";
            case 0x013D: return "Lcaron";
            case 0x013E: return "lcaron";
            case 0x013F: return "Ldotaccent";
            case 0x0140: return "ldotaccent";
            case 0x0141: return "Lslash";
            case 0x0142: return "lslash";
            case 0x0143: return "Nacute";
            case 0x0144: return "nacute";
            case 0x0145: return "Ncommaaccent";
            case 0x0146: return "ncommaaccent";
            case 0x0147: return "Ncaron";
            case 0x0148: return "ncaron";
            case 0x0149: return "quoterightn";
            case 0x014A: return "Eng";
            case 0x014B: return "eng";
            case 0x014C: return "Omacron";
            case 0x014D: return "omacron";
            case 0x014E: return "Obreve";
            case 0x014F: return "obreve";
            case 0x0150: return "Ohungarumlaut";
            case 0x0151: return "ohungarumlaut";
            case 0x0154: return "Racute";
            case 0x0155: return "racute";
            case 0x0156: return "Rcommaaccent";
            case 0x0157: return "rcommaaccent";
            case 0x0158: return "Rcaron";
            case 0x0159: return "rcaron";
            case 0x015A: return "Sacute";
            case 0x015B: return "sacute";
            case 0x015C: return "Scircumflex";
            case 0x015D: return "scircumflex";
            case 0x015E: return "Scedilla";
            case 0x015F: return "scedilla";
            case 0x0162: return "Tcommaaccent";
            case 0x0163: return "tcommaaccent";
            case 0x0164: return "Tcaron";
            case 0x0165: return "tcaron";
            case 0x0166: return "Tbar";
            case 0x0167: return "tbar";
            case 0x0168: return "Utilde";
            case 0x0169: return "utilde";
            case 0x016A: return "Umacron";
            case 0x016B: return "umacron";
            case 0x016C: return "Ubreve";
            case 0x016D: return "ubreve";
            case 0x016E: return "Uring";
            case 0x016F: return "uring";
            case 0x0170: return "Uhungarumlaut";
            case 0x0171: return "uhungarumlaut";
            case 0x0172: return "Uogonek";
            case 0x0173: return "uogonek";
            case 0x0174: return "Wcircumflex";
            case 0x0175: return "wcircumflex";
            case 0x0176: return "Ycircumflex";
            case 0x0177: return "ycircumflex";
            case 0x0179: return "Zacute";
            case 0x017A: return "zacute";
            case 0x017B: return "Zdotaccent";
            case 0x017C: return "zdotaccent";
            case 0x017D: return "Zcaron";
            case 0x017E: return "zcaron";
            case 0x017F: return "slong";
            case 0x0180: return "bstroke";
            case 0x0181: return "Bhook";
            case 0x0182: return "Btopbar";
            case 0x0183: return "btopbar";
            case 0x0184: return "Tonesix";
            case 0x0185: return "tonesix";
            case 0x0186: return "Oopen";
            case 0x0187: return "Chook";
            case 0x0188: return "chook";
            case 0x0189: return "Dafrican";
            case 0x018A: return "Dhook";
            case 0x018B: return "Dtopbar";
            case 0x018C: return "dtopbar";
            case 0x018D: return "deltaturned";
            case 0x018E: return "Ereversed";
            case 0x018F: return "Schwa";
            case 0x0190: return "Eopen";
            case 0x0191: return "Fhook";
            case 0x0193: return "Ghook";
            case 0x0194: return "Gammaafrican";
            case 0x0195: return "hv";
            case 0x0196: return "Iotaafrican";
            case 0x0197: return "Istroke";
            case 0x0198: return "Khook";
            case 0x0199: return "khook";
            case 0x019A: return "lbar";
            case 0x019B: return "lambdastroke";
            case 0x019C: return "Mturned";
            case 0x019D: return "Nhookleft";
            case 0x019E: return "nlegrightlong";
            case 0x019F: return "Ocenteredtilde";
            case 0x01A0: return "Ohorn";
            case 0x01A1: return "ohorn";
            case 0x01A2: return "Oi";
            case 0x01A3: return "oi";
            case 0x01A4: return "Phook";
            case 0x01A5: return "phook";
            case 0x01A6: return "yr";
            case 0x01A7: return "Tonetwo";
            case 0x01A8: return "tonetwo";
            case 0x01A9: return "Esh";
            case 0x01AA: return "eshreversedloop";
            case 0x01AB: return "tpalatalhook";
            case 0x01AC: return "Thook";
            case 0x01AD: return "thook";
            case 0x01AE: return "Tretroflexhook";
            case 0x01AF: return "Uhorn";
            case 0x01B0: return "uhorn";
            case 0x01B1: return "Upsilonafrican";
            case 0x01B2: return "Vhook";
            case 0x01B3: return "Yhook";
            case 0x01B4: return "yhook";
            case 0x01B5: return "Zstroke";
            case 0x01B6: return "zstroke";
            case 0x01B7: return "Ezh";
            case 0x01B8: return "Ezhreversed";
            case 0x01B9: return "ezhreversed";
            case 0x01BA: return "ezhtail";
            case 0x01BB: return "twostroke";
            case 0x01BC: return "Tonefive";
            case 0x01BD: return "tonefive";
            case 0x01BE: return "glottalinvertedstroke";
            case 0x01BF: return "wynn";
            case 0x01C0: return "clickdental";
            case 0x01C1: return "clicklateral";
            case 0x01C2: return "clickalveolar";
            case 0x01C3: return "clickretroflex";
            case 0x01C4: return "DZcaron";
            case 0x01C5: return "Dzcaron";
            case 0x01C6: return "dzcaron";
            case 0x01C7: return "LJ";
            case 0x01C8: return "Lj";
            case 0x01C9: return "lj";
            case 0x01CA: return "NJ";
            case 0x01CB: return "Nj";
            case 0x01CC: return "nj";
            case 0x01CD: return "Acaron";
            case 0x01CE: return "acaron";
            case 0x01CF: return "Icaron";
            case 0x01D0: return "icaron";
            case 0x01D1: return "Ocaron";
            case 0x01D2: return "ocaron";
            case 0x01D3: return "Ucaron";
            case 0x01D4: return "ucaron";
            case 0x01D5: return "Udieresismacron";
            case 0x01D6: return "udieresismacron";
            case 0x01D7: return "Udieresisacute";
            case 0x01D8: return "udieresisacute";
            case 0x01D9: return "Udieresiscaron";
            case 0x01DA: return "udieresiscaron";
            case 0x01DB: return "Udieresisgrave";
            case 0x01DC: return "udieresisgrave";
            case 0x01DD: return "eturned";
            case 0x01DE: return "Adieresismacron";
            case 0x01DF: return "adieresismacron";
            case 0x01E0: return "Adotmacron";
            case 0x01E1: return "adotmacron";
            case 0x01E2: return "AEmacron";
            case 0x01E3: return "aemacron";
            case 0x01E4: return "Gstroke";
            case 0x01E5: return "gstroke";
            case 0x01E6: return "Gcaron";
            case 0x01E7: return "gcaron";
            case 0x01E8: return "Kcaron";
            case 0x01E9: return "kcaron";
            case 0x01EA: return "Oogonek";
            case 0x01EB: return "oogonek";
            case 0x01EC: return "Oogonekmacron";
            case 0x01ED: return "oogonekmacron";
            case 0x01EE: return "Ezhcaron";
            case 0x01EF: return "ezhcaron";
            case 0x01F0: return "jcaron";
            case 0x01F1: return "DZ";
            case 0x01F2: return "Dz";
            case 0x01F3: return "dz";
            case 0x01F4: return "Gacute";
            case 0x01F5: return "gacute";
            case 0x01FA: return "Aringacute";
            case 0x01FB: return "aringacute";
            case 0x01FC: return "AEacute";
            case 0x01FD: return "aeacute";
            case 0x01FE: return "Ostrokeacute";
            case 0x01FF: return "ostrokeacute";
            case 0x0200: return "Adblgrave";
            case 0x0201: return "adblgrave";
            case 0x0202: return "Ainvertedbreve";
            case 0x0203: return "ainvertedbreve";
            case 0x0204: return "Edblgrave";
            case 0x0205: return "edblgrave";
            case 0x0206: return "Einvertedbreve";
            case 0x0207: return "einvertedbreve";
            case 0x0208: return "Idblgrave";
            case 0x0209: return "idblgrave";
            case 0x020A: return "Iinvertedbreve";
            case 0x020B: return "iinvertedbreve";
            case 0x020C: return "Odblgrave";
            case 0x020D: return "odblgrave";
            case 0x020E: return "Oinvertedbreve";
            case 0x020F: return "oinvertedbreve";
            case 0x0210: return "Rdblgrave";
            case 0x0211: return "rdblgrave";
            case 0x0212: return "Rinvertedbreve";
            case 0x0213: return "rinvertedbreve";
            case 0x0214: return "Udblgrave";
            case 0x0215: return "udblgrave";
            case 0x0216: return "Uinvertedbreve";
            case 0x0217: return "uinvertedbreve";
            case 0x0218: return "Scommaaccent";
            case 0x0219: return "scommaaccent";
            case 0x0250: return "aturned";
            case 0x0251: return "ascript";
            case 0x0252: return "ascriptturned";
            case 0x0253: return "bhook";
            case 0x0254: return "oopen";
            case 0x0255: return "ccurl";
            case 0x0256: return "dtail";
            case 0x0257: return "dhook";
            case 0x0258: return "ereversed";
            case 0x0259: return "schwa";
            case 0x025A: return "schwahook";
            case 0x025B: return "eopen";
            case 0x025C: return "eopenreversed";
            case 0x025D: return "eopenreversedhook";
            case 0x025E: return "eopenreversedclosed";
            case 0x025F: return "jdotlessstroke";
            case 0x0260: return "ghook";
            case 0x0261: return "gscript";
            case 0x0263: return "gammalatinsmall";
            case 0x0264: return "ramshorn";
            case 0x0265: return "hturned";
            case 0x0266: return "hhook";
            case 0x0267: return "henghook";
            case 0x0268: return "istroke";
            case 0x0269: return "iotalatin";
            case 0x026B: return "lmiddletilde";
            case 0x026C: return "lbelt";
            case 0x026D: return "lhookretroflex";
            case 0x026E: return "lezh";
            case 0x026F: return "mturned";
            case 0x0270: return "mlonglegturned";
            case 0x0271: return "mhook";
            case 0x0272: return "nhookleft";
            case 0x0273: return "nhookretroflex";
            case 0x0275: return "obarred";
            case 0x0277: return "omegalatinclosed";
            case 0x0278: return "philatin";
            case 0x0279: return "rturned";
            case 0x027A: return "rlonglegturned";
            case 0x027B: return "rhookturned";
            case 0x027C: return "rlongleg";
            case 0x027D: return "rhook";
            case 0x027E: return "rfishhook";
            case 0x027F: return "rfishhookreversed";
            case 0x0281: return "Rsmallinverted";
            case 0x0282: return "shook";
            case 0x0283: return "esh";
            case 0x0284: return "dotlessjstrokehook";
            case 0x0285: return "eshsquatreversed";
            case 0x0286: return "eshcurl";
            case 0x0287: return "tturned";
            case 0x0288: return "tretroflexhook";
            case 0x0289: return "ubar";
            case 0x028A: return "upsilonlatin";
            case 0x028B: return "vhook";
            case 0x028C: return "vturned";
            case 0x028D: return "wturned";
            case 0x028E: return "yturned";
            case 0x0290: return "zretroflexhook";
            case 0x0291: return "zcurl";
            case 0x0292: return "ezh";
            case 0x0293: return "ezhcurl";
            case 0x0294: return "glottalstop";
            case 0x0295: return "glottalstopreversed";
            case 0x0296: return "glottalstopinverted";
            case 0x0297: return "cstretched";
            case 0x0298: return "bilabialclick";
            case 0x029A: return "eopenclosed";
            case 0x029B: return "Gsmallhook";
            case 0x029D: return "jcrossedtail";
            case 0x029E: return "kturned";
            case 0x02A0: return "qhook";
            case 0x02A1: return "glottalstopstroke";
            case 0x02A2: return "glottalstopstrokereversed";
            case 0x02A3: return "dzaltone";
            case 0x02A4: return "dezh";
            case 0x02A5: return "dzcurl";
            case 0x02A6: return "ts";
            case 0x02A7: return "tesh";
            case 0x02A8: return "tccurl";
            case 0x02B0: return "hsuperior";
            case 0x02B1: return "hhooksuperior";
            case 0x02B2: return "jsuperior";
            case 0x02B4: return "rturnedsuperior";
            case 0x02B5: return "rhookturnedsuperior";
            case 0x02B6: return "Rsmallinvertedsuperior";
            case 0x02B7: return "wsuperior";
            case 0x02B8: return "ysuperior";
            case 0x02B9: return "primemod";
            case 0x02BA: return "dblprimemod";
            case 0x02BB: return "commaturnedmod";
            case 0x02BC: return "apostrophemod";
            case 0x02BD: return "commareversedmod";
            case 0x02BE: return "ringhalfright";
            case 0x02BF: return "ringhalfleft";
            case 0x02C0: return "glottalstopmod";
            case 0x02C1: return "glottalstopreversedmod";
            case 0x02C2: return "arrowheadleftmod";
            case 0x02C3: return "arrowheadrightmod";
            case 0x02C4: return "arrowheadupmod";
            case 0x02C5: return "arrowheaddownmod";
            case 0x02C7: return "caron";
            case 0x02C8: return "verticallinemod";
            case 0x02C9: return "firsttonechinese";
            case 0x02CA: return "secondtonechinese";
            case 0x02CB: return "fourthtonechinese";
            case 0x02CC: return "verticallinelowmod";
            case 0x02CD: return "macronlowmod";
            case 0x02CE: return "gravelowmod";
            case 0x02CF: return "acutelowmod";
            case 0x02D0: return "colontriangularmod";
            case 0x02D1: return "colontriangularhalfmod";
            case 0x02D2: return "ringhalfrightcentered";
            case 0x02D3: return "ringhalfleftcentered";
            case 0x02D4: return "uptackmod";
            case 0x02D5: return "downtackmod";
            case 0x02D6: return "plusmod";
            case 0x02D7: return "minusmod";
            case 0x02D8: return "breve";
            case 0x02D9: return "dotaccent";
            case 0x02DA: return "ring";
            case 0x02DB: return "ogonek";
            case 0x02DD: return "hungarumlaut";
            case 0x02DE: return "rhotichookmod";
            case 0x02E0: return "gammasuperior";
            case 0x02E3: return "xsuperior";
            case 0x02E4: return "glottalstopreversedsuperior";
            case 0x02E5: return "tonebarextrahighmod";
            case 0x02E6: return "tonebarhighmod";
            case 0x02E7: return "tonebarmidmod";
            case 0x02E8: return "tonebarlowmod";
            case 0x02E9: return "tonebarextralowmod";
            case 0x0300: return "gravecomb";
            case 0x0301: return "acutecomb";
            case 0x0302: return "circumflexcmb";
            case 0x0303: return "tildecomb";
            case 0x0304: return "macroncmb";
            case 0x0305: return "overlinecmb";
            case 0x0306: return "brevecmb";
            case 0x0307: return "dotaccentcmb";
            case 0x0308: return "dieresiscmb";
            case 0x0309: return "hookcmb";
            case 0x030A: return "ringcmb";
            case 0x030B: return "hungarumlautcmb";
            case 0x030C: return "caroncmb";
            case 0x030D: return "verticallineabovecmb";
            case 0x030E: return "dblverticallineabovecmb";
            case 0x030F: return "dblgravecmb";
            case 0x0310: return "candrabinducmb";
            case 0x0311: return "breveinvertedcmb";
            case 0x0312: return "commaturnedabovecmb";
            case 0x0313: return "commaabovecmb";
            case 0x0314: return "commareversedabovecmb";
            case 0x0315: return "commaaboverightcmb";
            case 0x0316: return "gravebelowcmb";
            case 0x0317: return "acutebelowcmb";
            case 0x0318: return "lefttackbelowcmb";
            case 0x0319: return "righttackbelowcmb";
            case 0x031A: return "leftangleabovecmb";
            case 0x031B: return "horncmb";
            case 0x031C: return "ringhalfleftbelowcmb";
            case 0x031D: return "uptackbelowcmb";
            case 0x031E: return "downtackbelowcmb";
            case 0x031F: return "plusbelowcmb";
            case 0x0320: return "minusbelowcmb";
            case 0x0321: return "hookpalatalizedbelowcmb";
            case 0x0322: return "hookretroflexbelowcmb";
            case 0x0323: return "dotbelowcomb";
            case 0x0324: return "dieresisbelowcmb";
            case 0x0325: return "ringbelowcmb";
            case 0x0327: return "cedillacmb";
            case 0x0328: return "ogonekcmb";
            case 0x0329: return "verticallinebelowcmb";
            case 0x032A: return "bridgebelowcmb";
            case 0x032B: return "dblarchinvertedbelowcmb";
            case 0x032C: return "caronbelowcmb";
            case 0x032D: return "circumflexbelowcmb";
            case 0x032E: return "brevebelowcmb";
            case 0x032F: return "breveinvertedbelowcmb";
            case 0x0330: return "tildebelowcmb";
            case 0x0331: return "macronbelowcmb";
            case 0x0332: return "lowlinecmb";
            case 0x0333: return "dbllowlinecmb";
            case 0x0334: return "tildeoverlaycmb";
            case 0x0335: return "strokeshortoverlaycmb";
            case 0x0336: return "strokelongoverlaycmb";
            case 0x0337: return "solidusshortoverlaycmb";
            case 0x0338: return "soliduslongoverlaycmb";
            case 0x0339: return "ringhalfrightbelowcmb";
            case 0x033A: return "bridgeinvertedbelowcmb";
            case 0x033B: return "squarebelowcmb";
            case 0x033C: return "seagullbelowcmb";
            case 0x033D: return "xabovecmb";
            case 0x033E: return "tildeverticalcmb";
            case 0x033F: return "dbloverlinecmb";
            case 0x0340: return "gravetonecmb";
            case 0x0341: return "acutetonecmb";
            case 0x0342: return "perispomenigreekcmb";
            case 0x0343: return "koroniscmb";
            case 0x0344: return "dialytikatonoscmb";
            case 0x0345: return "ypogegrammenigreekcmb";
            case 0x0360: return "tildedoublecmb";
            case 0x0361: return "breveinverteddoublecmb";
            case 0x0374: return "numeralsigngreek";
            case 0x0375: return "numeralsignlowergreek";
            case 0x037A: return "ypogegrammeni";
            case 0x037E: return "questiongreek";
            case 0x0384: return "tonos";
            case 0x0385: return "dieresistonos";
            case 0x0386: return "Alphatonos";
            case 0x0387: return "anoteleia";
            case 0x0388: return "Epsilontonos";
            case 0x0389: return "Etatonos";
            case 0x038A: return "Iotatonos";
            case 0x038C: return "Omicrontonos";
            case 0x038E: return "Upsilontonos";
            case 0x038F: return "Omegatonos";
            case 0x0390: return "iotadieresistonos";
            case 0x03AA: return "Iotadieresis";
            case 0x03AB: return "Upsilondieresis";
            case 0x03AC: return "alphatonos";
            case 0x03AD: return "epsilontonos";
            case 0x03AE: return "etatonos";
            case 0x03AF: return "iotatonos";
            case 0x03B0: return "upsilondieresistonos";
            case 0x03CA: return "iotadieresis";
            case 0x03CB: return "upsilondieresis";
            case 0x03CC: return "omicrontonos";
            case 0x03CD: return "upsilontonos";
            case 0x03CE: return "omegatonos";
            case 0x03D0: return "betasymbolgreek";
            case 0x03D3: return "Upsilonacutehooksymbolgreek";
            case 0x03D4: return "Upsilondieresishooksymbolgreek";
            case 0x03D5: return "phisymbolgreek";
            case 0x03DA: return "Stigmagreek";
            case 0x03DC: return "Digammagreek";
            case 0x03DE: return "Koppagreek";
            case 0x03E0: return "Sampigreek";
            case 0x03E2: return "Sheicoptic";
            case 0x03E3: return "sheicoptic";
            case 0x03E4: return "Feicoptic";
            case 0x03E5: return "feicoptic";
            case 0x03E6: return "Kheicoptic";
            case 0x03E7: return "kheicoptic";
            case 0x03E8: return "Horicoptic";
            case 0x03E9: return "horicoptic";
            case 0x03EA: return "Gangiacoptic";
            case 0x03EB: return "gangiacoptic";
            case 0x03EC: return "Shimacoptic";
            case 0x03ED: return "shimacoptic";
            case 0x03EE: return "Deicoptic";
            case 0x03EF: return "deicoptic";
            case 0x03F0: return "kappasymbolgreek";
            case 0x03F1: return "rhosymbolgreek";
            case 0x03F2: return "sigmalunatesymbolgreek";
            case 0x03F3: return "yotgreek";
            case 0x0401: return "afii10023";
            case 0x0402: return "afii10051";
            case 0x0403: return "afii10052";
            case 0x0404: return "afii10053";
            case 0x0405: return "afii10054";
            case 0x0406: return "afii10055";
            case 0x0407: return "afii10056";
            case 0x0408: return "afii10057";
            case 0x0409: return "afii10058";
            case 0x040A: return "afii10059";
            case 0x040B: return "afii10060";
            case 0x040C: return "afii10061";
            case 0x040E: return "afii10062";
            case 0x040F: return "afii10145";
            case 0x0410: return "afii10017";
            case 0x0411: return "afii10018";
            case 0x0412: return "afii10019";
            case 0x0413: return "afii10020";
            case 0x0414: return "afii10021";
            case 0x0415: return "afii10022";
            case 0x0416: return "afii10024";
            case 0x0417: return "afii10025";
            case 0x0418: return "afii10026";
            case 0x0419: return "afii10027";
            case 0x041A: return "afii10028";
            case 0x041B: return "afii10029";
            case 0x041C: return "afii10030";
            case 0x041D: return "afii10031";
            case 0x041E: return "afii10032";
            case 0x041F: return "afii10033";
            case 0x0420: return "afii10034";
            case 0x0421: return "afii10035";
            case 0x0422: return "afii10036";
            case 0x0423: return "afii10037";
            case 0x0424: return "afii10038";
            case 0x0425: return "afii10039";
            case 0x0426: return "afii10040";
            case 0x0427: return "afii10041";
            case 0x0428: return "afii10042";
            case 0x0429: return "afii10043";
            case 0x042A: return "afii10044";
            case 0x042B: return "afii10045";
            case 0x042C: return "afii10046";
            case 0x042D: return "afii10047";
            case 0x042E: return "afii10048";
            case 0x042F: return "afii10049";
            case 0x0430: return "afii10065";
            case 0x0431: return "becyrillic";
            case 0x0432: return "vecyrillic";
            case 0x0433: return "gecyrillic";
            case 0x0434: return "decyrillic";
            case 0x0435: return "iecyrillic";
            case 0x0436: return "zhecyrillic";
            case 0x0437: return "zecyrillic";
            case 0x0438: return "iicyrillic";
            case 0x0439: return "iishortcyrillic";
            case 0x043A: return "kacyrillic";
            case 0x043B: return "elcyrillic";
            case 0x043C: return "emcyrillic";
            case 0x043D: return "encyrillic";
            case 0x043E: return "ocyrillic";
            case 0x043F: return "pecyrillic";
            case 0x0440: return "ercyrillic";
            case 0x0441: return "escyrillic";
            case 0x0442: return "tecyrillic";
            case 0x0443: return "ucyrillic";
            case 0x0444: return "efcyrillic";
            case 0x0445: return "khacyrillic";
            case 0x0446: return "tsecyrillic";
            case 0x0447: return "checyrillic";
            case 0x0448: return "shacyrillic";
            case 0x0449: return "shchacyrillic";
            case 0x044A: return "hardsigncyrillic";
            case 0x044B: return "yericyrillic";
            case 0x044C: return "softsigncyrillic";
            case 0x044D: return "ereversedcyrillic";
            case 0x044E: return "iucyrillic";
            case 0x044F: return "iacyrillic";
            case 0x0451: return "iocyrillic";
            case 0x0452: return "djecyrillic";
            case 0x0453: return "gjecyrillic";
            case 0x0454: return "ecyrillic";
            case 0x0455: return "dzecyrillic";
            case 0x0456: return "icyrillic";
            case 0x0457: return "yicyrillic";
            case 0x0458: return "jecyrillic";
            case 0x0459: return "ljecyrillic";
            case 0x045A: return "njecyrillic";
            case 0x045B: return "tshecyrillic";
            case 0x045C: return "kjecyrillic";
            case 0x045E: return "ushortcyrillic";
            case 0x045F: return "dzhecyrillic";
            case 0x0460: return "Omegacyrillic";
            case 0x0461: return "omegacyrillic";
            case 0x0462: return "afii10146";
            case 0x0463: return "yatcyrillic";
            case 0x0464: return "Eiotifiedcyrillic";
            case 0x0465: return "eiotifiedcyrillic";
            case 0x0466: return "Yuslittlecyrillic";
            case 0x0467: return "yuslittlecyrillic";
            case 0x0468: return "Yuslittleiotifiedcyrillic";
            case 0x0469: return "yuslittleiotifiedcyrillic";
            case 0x046A: return "Yusbigcyrillic";
            case 0x046B: return "yusbigcyrillic";
            case 0x046C: return "Yusbigiotifiedcyrillic";
            case 0x046D: return "yusbigiotifiedcyrillic";
            case 0x046E: return "Ksicyrillic";
            case 0x046F: return "ksicyrillic";
            case 0x0470: return "Psicyrillic";
            case 0x0471: return "psicyrillic";
            case 0x0472: return "afii10147";
            case 0x0473: return "fitacyrillic";
            case 0x0474: return "afii10148";
            case 0x0475: return "izhitsacyrillic";
            case 0x0476: return "Izhitsadblgravecyrillic";
            case 0x0477: return "izhitsadblgravecyrillic";
            case 0x0478: return "Ukcyrillic";
            case 0x0479: return "ukcyrillic";
            case 0x047A: return "Omegaroundcyrillic";
            case 0x047B: return "omegaroundcyrillic";
            case 0x047C: return "Omegatitlocyrillic";
            case 0x047D: return "omegatitlocyrillic";
            case 0x047E: return "Otcyrillic";
            case 0x047F: return "otcyrillic";
            case 0x0480: return "Koppacyrillic";
            case 0x0481: return "koppacyrillic";
            case 0x0482: return "thousandcyrillic";
            case 0x0483: return "titlocyrilliccmb";
            case 0x0484: return "palatalizationcyrilliccmb";
            case 0x0485: return "dasiapneumatacyrilliccmb";
            case 0x0486: return "psilipneumatacyrilliccmb";
            case 0x0490: return "afii10050";
            case 0x0491: return "gheupturncyrillic";
            case 0x0492: return "Ghestrokecyrillic";
            case 0x0493: return "ghestrokecyrillic";
            case 0x0494: return "Ghemiddlehookcyrillic";
            case 0x0495: return "ghemiddlehookcyrillic";
            case 0x0496: return "Zhedescendercyrillic";
            case 0x0497: return "zhedescendercyrillic";
            case 0x0498: return "Zedescendercyrillic";
            case 0x0499: return "zedescendercyrillic";
            case 0x049A: return "Kadescendercyrillic";
            case 0x049B: return "kadescendercyrillic";
            case 0x049C: return "Kaverticalstrokecyrillic";
            case 0x049D: return "kaverticalstrokecyrillic";
            case 0x049E: return "Kastrokecyrillic";
            case 0x049F: return "kastrokecyrillic";
            case 0x04A0: return "Kabashkircyrillic";
            case 0x04A1: return "kabashkircyrillic";
            case 0x04A2: return "Endescendercyrillic";
            case 0x04A3: return "endescendercyrillic";
            case 0x04A4: return "Enghecyrillic";
            case 0x04A5: return "enghecyrillic";
            case 0x04A6: return "Pemiddlehookcyrillic";
            case 0x04A7: return "pemiddlehookcyrillic";
            case 0x04A8: return "Haabkhasiancyrillic";
            case 0x04A9: return "haabkhasiancyrillic";
            case 0x04AA: return "Esdescendercyrillic";
            case 0x04AB: return "esdescendercyrillic";
            case 0x04AC: return "Tedescendercyrillic";
            case 0x04AD: return "tedescendercyrillic";
            case 0x04AE: return "Ustraightcyrillic";
            case 0x04AF: return "ustraightcyrillic";
            case 0x04B0: return "Ustraightstrokecyrillic";
            case 0x04B1: return "ustraightstrokecyrillic";
            case 0x04B2: return "Hadescendercyrillic";
            case 0x04B3: return "hadescendercyrillic";
            case 0x04B4: return "Tetsecyrillic";
            case 0x04B5: return "tetsecyrillic";
            case 0x04B6: return "Chedescendercyrillic";
            case 0x04B7: return "chedescendercyrillic";
            case 0x04B8: return "Cheverticalstrokecyrillic";
            case 0x04B9: return "cheverticalstrokecyrillic";
            case 0x04BA: return "Shhacyrillic";
            case 0x04BB: return "shhacyrillic";
            case 0x04BC: return "Cheabkhasiancyrillic";
            case 0x04BD: return "cheabkhasiancyrillic";
            case 0x04BE: return "Chedescenderabkhasiancyrillic";
            case 0x04BF: return "chedescenderabkhasiancyrillic";
            case 0x04C0: return "palochkacyrillic";
            case 0x04C1: return "Zhebrevecyrillic";
            case 0x04C2: return "zhebrevecyrillic";
            case 0x04C3: return "Kahookcyrillic";
            case 0x04C4: return "kahookcyrillic";
            case 0x04C7: return "Enhookcyrillic";
            case 0x04C8: return "enhookcyrillic";
            case 0x04CB: return "Chekhakassiancyrillic";
            case 0x04CC: return "chekhakassiancyrillic";
            case 0x04D0: return "Abrevecyrillic";
            case 0x04D1: return "abrevecyrillic";
            case 0x04D2: return "Adieresiscyrillic";
            case 0x04D3: return "adieresiscyrillic";
            case 0x04D4: return "Aiecyrillic";
            case 0x04D5: return "aiecyrillic";
            case 0x04D6: return "Iebrevecyrillic";
            case 0x04D7: return "iebrevecyrillic";
            case 0x04D8: return "Schwacyrillic";
            case 0x04D9: return "schwacyrillic";
            case 0x04DA: return "Schwadieresiscyrillic";
            case 0x04DB: return "schwadieresiscyrillic";
            case 0x04DC: return "Zhedieresiscyrillic";
            case 0x04DD: return "zhedieresiscyrillic";
            case 0x04DE: return "Zedieresiscyrillic";
            case 0x04DF: return "zedieresiscyrillic";
            case 0x04E0: return "Dzeabkhasiancyrillic";
            case 0x04E1: return "dzeabkhasiancyrillic";
            case 0x04E2: return "Imacroncyrillic";
            case 0x04E3: return "imacroncyrillic";
            case 0x04E4: return "Idieresiscyrillic";
            case 0x04E5: return "idieresiscyrillic";
            case 0x04E6: return "Odieresiscyrillic";
            case 0x04E7: return "odieresiscyrillic";
            case 0x04E8: return "Obarredcyrillic";
            case 0x04E9: return "obarredcyrillic";
            case 0x04EA: return "Obarreddieresiscyrillic";
            case 0x04EB: return "obarreddieresiscyrillic";
            case 0x04EE: return "Umacroncyrillic";
            case 0x04EF: return "umacroncyrillic";
            case 0x04F0: return "Udieresiscyrillic";
            case 0x04F1: return "udieresiscyrillic";
            case 0x04F2: return "Uhungarumlautcyrillic";
            case 0x04F3: return "uhungarumlautcyrillic";
            case 0x04F4: return "Chedieresiscyrillic";
            case 0x04F5: return "chedieresiscyrillic";
            case 0x04F8: return "Yerudieresiscyrillic";
            case 0x04F9: return "yerudieresiscyrillic";
            case 0x0531: return "Aybarmenian";
            case 0x0532: return "Benarmenian";
            case 0x0533: return "Gimarmenian";
            case 0x0534: return "Daarmenian";
            case 0x0535: return "Echarmenian";
            case 0x0536: return "Zaarmenian";
            case 0x0537: return "Eharmenian";
            case 0x0538: return "Etarmenian";
            case 0x0539: return "Toarmenian";
            case 0x053A: return "Zhearmenian";
            case 0x053B: return "Iniarmenian";
            case 0x053C: return "Liwnarmenian";
            case 0x053D: return "Xeharmenian";
            case 0x053E: return "Caarmenian";
            case 0x053F: return "Kenarmenian";
            case 0x0540: return "Hoarmenian";
            case 0x0541: return "Jaarmenian";
            case 0x0542: return "Ghadarmenian";
            case 0x0543: return "Cheharmenian";
            case 0x0544: return "Menarmenian";
            case 0x0545: return "Yiarmenian";
            case 0x0546: return "Nowarmenian";
            case 0x0547: return "Shaarmenian";
            case 0x0548: return "Voarmenian";
            case 0x0549: return "Chaarmenian";
            case 0x054A: return "Peharmenian";
            case 0x054B: return "Jheharmenian";
            case 0x054C: return "Raarmenian";
            case 0x054D: return "Seharmenian";
            case 0x054E: return "Vewarmenian";
            case 0x054F: return "Tiwnarmenian";
            case 0x0550: return "Reharmenian";
            case 0x0551: return "Coarmenian";
            case 0x0552: return "Yiwnarmenian";
            case 0x0553: return "Piwrarmenian";
            case 0x0554: return "Keharmenian";
            case 0x0555: return "Oharmenian";
            case 0x0556: return "Feharmenian";
            case 0x0559: return "ringhalfleftarmenian";
            case 0x055A: return "apostrophearmenian";
            case 0x055B: return "emphasismarkarmenian";
            case 0x055C: return "exclamarmenian";
            case 0x055D: return "commaarmenian";
            case 0x055E: return "questionarmenian";
            case 0x055F: return "abbreviationmarkarmenian";
            case 0x0561: return "aybarmenian";
            case 0x0562: return "benarmenian";
            case 0x0563: return "gimarmenian";
            case 0x0564: return "daarmenian";
            case 0x0565: return "echarmenian";
            case 0x0566: return "zaarmenian";
            case 0x0567: return "eharmenian";
            case 0x0568: return "etarmenian";
            case 0x0569: return "toarmenian";
            case 0x056A: return "zhearmenian";
            case 0x056B: return "iniarmenian";
            case 0x056C: return "liwnarmenian";
            case 0x056D: return "xeharmenian";
            case 0x056E: return "caarmenian";
            case 0x056F: return "kenarmenian";
            case 0x0570: return "hoarmenian";
            case 0x0571: return "jaarmenian";
            case 0x0572: return "ghadarmenian";
            case 0x0573: return "cheharmenian";
            case 0x0574: return "menarmenian";
            case 0x0575: return "yiarmenian";
            case 0x0576: return "nowarmenian";
            case 0x0577: return "shaarmenian";
            case 0x0578: return "voarmenian";
            case 0x0579: return "chaarmenian";
            case 0x057A: return "peharmenian";
            case 0x057B: return "jheharmenian";
            case 0x057C: return "raarmenian";
            case 0x057D: return "seharmenian";
            case 0x057E: return "vewarmenian";
            case 0x057F: return "tiwnarmenian";
            case 0x0580: return "reharmenian";
            case 0x0581: return "coarmenian";
            case 0x0582: return "yiwnarmenian";
            case 0x0583: return "piwrarmenian";
            case 0x0584: return "keharmenian";
            case 0x0585: return "oharmenian";
            case 0x0586: return "feharmenian";
            case 0x0587: return "echyiwnarmenian";
            case 0x0589: return "periodarmenian";
            case 0x0591: return "etnahtalefthebrew";
            case 0x0592: return "segoltahebrew";
            case 0x0593: return "shalshelethebrew";
            case 0x0594: return "zaqefqatanhebrew";
            case 0x0595: return "zaqefgadolhebrew";
            case 0x0596: return "tipehalefthebrew";
            case 0x0597: return "reviamugrashhebrew";
            case 0x0598: return "zarqahebrew";
            case 0x0599: return "pashtahebrew";
            case 0x059A: return "yetivhebrew";
            case 0x059B: return "tevirlefthebrew";
            case 0x059C: return "gereshaccenthebrew";
            case 0x059D: return "gereshmuqdamhebrew";
            case 0x059E: return "gershayimaccenthebrew";
            case 0x059F: return "qarneyparahebrew";
            case 0x05A0: return "telishagedolahebrew";
            case 0x05A1: return "pazerhebrew";
            case 0x05A3: return "munahlefthebrew";
            case 0x05A4: return "mahapakhlefthebrew";
            case 0x05A5: return "merkhalefthebrew";
            case 0x05A6: return "merkhakefulalefthebrew";
            case 0x05A7: return "dargalefthebrew";
            case 0x05A8: return "qadmahebrew";
            case 0x05A9: return "telishaqetanahebrew";
            case 0x05AA: return "yerahbenyomolefthebrew";
            case 0x05AB: return "olehebrew";
            case 0x05AC: return "iluyhebrew";
            case 0x05AD: return "dehihebrew";
            case 0x05AE: return "zinorhebrew";
            case 0x05AF: return "masoracirclehebrew";
            case 0x05B0: return "shevawidehebrew";
            case 0x05B1: return "hatafsegolwidehebrew";
            case 0x05B2: return "hatafpatahwidehebrew";
            case 0x05B3: return "hatafqamatswidehebrew";
            case 0x05B4: return "hiriqwidehebrew";
            case 0x05B5: return "tserewidehebrew";
            case 0x05B6: return "segolwidehebrew";
            case 0x05B7: return "patahwidehebrew";
            case 0x05B8: return "qamatswidehebrew";
            case 0x05B9: return "holamwidehebrew";
            case 0x05BB: return "qubutswidehebrew";
            case 0x05BC: return "dageshhebrew";
            case 0x05BD: return "siluqlefthebrew";
            case 0x05BE: return "maqafhebrew";
            case 0x05BF: return "rafehebrew";
            case 0x05C0: return "paseqhebrew";
            case 0x05C1: return "shindothebrew";
            case 0x05C2: return "sindothebrew";
            case 0x05C3: return "sofpasuqhebrew";
            case 0x05C4: return "upperdothebrew";
            case 0x05D0: return "alefhebrew";
            case 0x05D1: return "bethebrew";
            case 0x05D2: return "gimelhebrew";
            case 0x05D3: return "daletqubutshebrew";
            case 0x05D4: return "hehebrew";
            case 0x05D5: return "vavhebrew";
            case 0x05D6: return "zayinhebrew";
            case 0x05D7: return "hethebrew";
            case 0x05D8: return "tethebrew";
            case 0x05D9: return "yodhebrew";
            case 0x05DA: return "finalkafqamatshebrew";
            case 0x05DB: return "kafhebrew";
            case 0x05DC: return "lamedholamdageshhebrew";
            case 0x05DD: return "finalmemhebrew";
            case 0x05DE: return "memhebrew";
            case 0x05DF: return "finalnunhebrew";
            case 0x05E0: return "nunhebrew";
            case 0x05E1: return "samekhhebrew";
            case 0x05E2: return "ayinhebrew";
            case 0x05E3: return "finalpehebrew";
            case 0x05E4: return "pehebrew";
            case 0x05E5: return "finaltsadihebrew";
            case 0x05E6: return "tsadihebrew";
            case 0x05E7: return "qofqubutshebrew";
            case 0x05E8: return "reshqubutshebrew";
            case 0x05E9: return "shinhebrew";
            case 0x05EA: return "tavhebrew";
            case 0x05F0: return "vavvavhebrew";
            case 0x05F1: return "vavyodhebrew";
            case 0x05F2: return "yodyodhebrew";
            case 0x05F3: return "gereshhebrew";
            case 0x05F4: return "gershayimhebrew";
            case 0x060C: return "commaarabic";
            case 0x061B: return "semicolonarabic";
            case 0x061F: return "questionarabic";
            case 0x0621: return "hamzasukunarabic";
            case 0x0622: return "alefmaddaabovearabic";
            case 0x0623: return "alefhamzaabovearabic";
            case 0x0624: return "wawhamzaabovearabic";
            case 0x0625: return "alefhamzabelowarabic";
            case 0x0626: return "yehhamzaabovearabic";
            case 0x0627: return "alefarabic";
            case 0x0628: return "beharabic";
            case 0x0629: return "tehmarbutaarabic";
            case 0x062A: return "teharabic";
            case 0x062B: return "theharabic";
            case 0x062C: return "jeemarabic";
            case 0x062D: return "haharabic";
            case 0x062E: return "khaharabic";
            case 0x062F: return "dalarabic";
            case 0x0630: return "thalarabic";
            case 0x0631: return "rehyehaleflamarabic";
            case 0x0632: return "zainarabic";
            case 0x0633: return "seenarabic";
            case 0x0634: return "sheenarabic";
            case 0x0635: return "sadarabic";
            case 0x0636: return "dadarabic";
            case 0x0637: return "taharabic";
            case 0x0638: return "zaharabic";
            case 0x0639: return "ainarabic";
            case 0x063A: return "ghainarabic";
            case 0x0640: return "tatweelarabic";
            case 0x0641: return "feharabic";
            case 0x0642: return "qafarabic";
            case 0x0643: return "kafarabic";
            case 0x0644: return "lamarabic";
            case 0x0645: return "meemarabic";
            case 0x0646: return "noonarabic";
            case 0x0647: return "heharabic";
            case 0x0648: return "wawarabic";
            case 0x0649: return "alefmaksuraarabic";
            case 0x064A: return "yeharabic";
            case 0x064B: return "fathatanarabic";
            case 0x064C: return "dammatanarabic";
            case 0x064D: return "kasratanarabic";
            case 0x064E: return "fathalowarabic";
            case 0x064F: return "dammalowarabic";
            case 0x0650: return "kasraarabic";
            case 0x0651: return "shaddafathatanarabic";
            case 0x0652: return "sukunarabic";
            case 0x0660: return "zerohackarabic";
            case 0x0661: return "onehackarabic";
            case 0x0662: return "twohackarabic";
            case 0x0663: return "threehackarabic";
            case 0x0664: return "fourhackarabic";
            case 0x0665: return "fivehackarabic";
            case 0x0666: return "sixhackarabic";
            case 0x0667: return "sevenhackarabic";
            case 0x0668: return "eighthackarabic";
            case 0x0669: return "ninehackarabic";
            case 0x066A: return "percentarabic";
            case 0x066B: return "decimalseparatorpersian";
            case 0x066C: return "thousandsseparatorpersian";
            case 0x066D: return "asteriskarabic";
            case 0x0679: return "tteharabic";
            case 0x067E: return "peharabic";
            case 0x0686: return "tcheharabic";
            case 0x0688: return "ddalarabic";
            case 0x0691: return "rreharabic";
            case 0x0698: return "jeharabic";
            case 0x06A4: return "veharabic";
            case 0x06AF: return "gafarabic";
            case 0x06BA: return "noonghunnaarabic";
            case 0x06C1: return "hehaltonearabic";
            case 0x06D1: return "yehthreedotsbelowarabic";
            case 0x06D2: return "yehbarreearabic";
            case 0x06D5: return "afii57534";
            case 0x06F0: return "zeropersian";
            case 0x06F1: return "onepersian";
            case 0x06F2: return "twopersian";
            case 0x06F3: return "threepersian";
            case 0x06F4: return "fourpersian";
            case 0x06F5: return "fivepersian";
            case 0x06F6: return "sixpersian";
            case 0x06F7: return "sevenpersian";
            case 0x06F8: return "eightpersian";
            case 0x06F9: return "ninepersian";
            case 0x0901: return "candrabindudeva";
            case 0x0902: return "anusvaradeva";
            case 0x0903: return "visargadeva";
            case 0x0905: return "adeva";
            case 0x0906: return "aadeva";
            case 0x0907: return "ideva";
            case 0x0908: return "iideva";
            case 0x0909: return "udeva";
            case 0x090A: return "uudeva";
            case 0x090B: return "rvocalicdeva";
            case 0x090C: return "lvocalicdeva";
            case 0x090D: return "ecandradeva";
            case 0x090E: return "eshortdeva";
            case 0x090F: return "edeva";
            case 0x0910: return "aideva";
            case 0x0911: return "ocandradeva";
            case 0x0912: return "oshortdeva";
            case 0x0913: return "odeva";
            case 0x0914: return "audeva";
            case 0x0915: return "kadeva";
            case 0x0916: return "khadeva";
            case 0x0917: return "gadeva";
            case 0x0918: return "ghadeva";
            case 0x0919: return "ngadeva";
            case 0x091A: return "cadeva";
            case 0x091B: return "chadeva";
            case 0x091C: return "jadeva";
            case 0x091D: return "jhadeva";
            case 0x091E: return "nyadeva";
            case 0x091F: return "ttadeva";
            case 0x0920: return "tthadeva";
            case 0x0921: return "ddadeva";
            case 0x0922: return "ddhadeva";
            case 0x0923: return "nnadeva";
            case 0x0924: return "tadeva";
            case 0x0925: return "thadeva";
            case 0x0926: return "dadeva";
            case 0x0927: return "dhadeva";
            case 0x0928: return "nadeva";
            case 0x0929: return "nnnadeva";
            case 0x092A: return "padeva";
            case 0x092B: return "phadeva";
            case 0x092C: return "badeva";
            case 0x092D: return "bhadeva";
            case 0x092E: return "madeva";
            case 0x092F: return "yadeva";
            case 0x0930: return "radeva";
            case 0x0931: return "rradeva";
            case 0x0932: return "ladeva";
            case 0x0933: return "lladeva";
            case 0x0934: return "llladeva";
            case 0x0935: return "vadeva";
            case 0x0936: return "shadeva";
            case 0x0937: return "ssadeva";
            case 0x0938: return "sadeva";
            case 0x0939: return "hadeva";
            case 0x093C: return "nuktadeva";
            case 0x093D: return "avagrahadeva";
            case 0x093E: return "aavowelsigndeva";
            case 0x093F: return "ivowelsigndeva";
            case 0x0940: return "iivowelsigndeva";
            case 0x0941: return "uvowelsigndeva";
            case 0x0942: return "uuvowelsigndeva";
            case 0x0943: return "rvocalicvowelsigndeva";
            case 0x0944: return "rrvocalicvowelsigndeva";
            case 0x0945: return "ecandravowelsigndeva";
            case 0x0946: return "eshortvowelsigndeva";
            case 0x0947: return "evowelsigndeva";
            case 0x0948: return "aivowelsigndeva";
            case 0x0949: return "ocandravowelsigndeva";
            case 0x094A: return "oshortvowelsigndeva";
            case 0x094B: return "ovowelsigndeva";
            case 0x094C: return "auvowelsigndeva";
            case 0x094D: return "viramadeva";
            case 0x0950: return "omdeva";
            case 0x0951: return "udattadeva";
            case 0x0952: return "anudattadeva";
            case 0x0953: return "gravedeva";
            case 0x0954: return "acutedeva";
            case 0x0958: return "qadeva";
            case 0x0959: return "khhadeva";
            case 0x095A: return "ghhadeva";
            case 0x095B: return "zadeva";
            case 0x095C: return "dddhadeva";
            case 0x095D: return "rhadeva";
            case 0x095E: return "fadeva";
            case 0x095F: return "yyadeva";
            case 0x0960: return "rrvocalicdeva";
            case 0x0961: return "llvocalicdeva";
            case 0x0962: return "lvocalicvowelsigndeva";
            case 0x0963: return "llvocalicvowelsigndeva";
            case 0x0964: return "danda";
            case 0x0965: return "dbldanda";
            case 0x0966: return "zerodeva";
            case 0x0967: return "onedeva";
            case 0x0968: return "twodeva";
            case 0x0969: return "threedeva";
            case 0x096A: return "fourdeva";
            case 0x096B: return "fivedeva";
            case 0x096C: return "sixdeva";
            case 0x096D: return "sevendeva";
            case 0x096E: return "eightdeva";
            case 0x096F: return "ninedeva";
            case 0x0970: return "abbreviationsigndeva";
            case 0x0981: return "candrabindubengali";
            case 0x0982: return "anusvarabengali";
            case 0x0983: return "visargabengali";
            case 0x0985: return "abengali";
            case 0x0986: return "aabengali";
            case 0x0987: return "ibengali";
            case 0x0988: return "iibengali";
            case 0x0989: return "ubengali";
            case 0x098A: return "uubengali";
            case 0x098B: return "rvocalicbengali";
            case 0x098C: return "lvocalicbengali";
            case 0x098F: return "ebengali";
            case 0x0990: return "aibengali";
            case 0x0993: return "obengali";
            case 0x0994: return "aubengali";
            case 0x0995: return "kabengali";
            case 0x0996: return "khabengali";
            case 0x0997: return "gabengali";
            case 0x0998: return "ghabengali";
            case 0x0999: return "ngabengali";
            case 0x099A: return "cabengali";
            case 0x099B: return "chabengali";
            case 0x099C: return "jabengali";
            case 0x099D: return "jhabengali";
            case 0x099E: return "nyabengali";
            case 0x099F: return "ttabengali";
            case 0x09A0: return "tthabengali";
            case 0x09A1: return "ddabengali";
            case 0x09A2: return "ddhabengali";
            case 0x09A3: return "nnabengali";
            case 0x09A4: return "tabengali";
            case 0x09A5: return "thabengali";
            case 0x09A6: return "dabengali";
            case 0x09A7: return "dhabengali";
            case 0x09A8: return "nabengali";
            case 0x09AA: return "pabengali";
            case 0x09AB: return "phabengali";
            case 0x09AC: return "babengali";
            case 0x09AD: return "bhabengali";
            case 0x09AE: return "mabengali";
            case 0x09AF: return "yabengali";
            case 0x09B0: return "rabengali";
            case 0x09B2: return "labengali";
            case 0x09B6: return "shabengali";
            case 0x09B7: return "ssabengali";
            case 0x09B8: return "sabengali";
            case 0x09B9: return "habengali";
            case 0x09BC: return "nuktabengali";
            case 0x09BE: return "aavowelsignbengali";
            case 0x09BF: return "ivowelsignbengali";
            case 0x09C0: return "iivowelsignbengali";
            case 0x09C1: return "uvowelsignbengali";
            case 0x09C2: return "uuvowelsignbengali";
            case 0x09C3: return "rvocalicvowelsignbengali";
            case 0x09C4: return "rrvocalicvowelsignbengali";
            case 0x09C7: return "evowelsignbengali";
            case 0x09C8: return "aivowelsignbengali";
            case 0x09CB: return "ovowelsignbengali";
            case 0x09CC: return "auvowelsignbengali";
            case 0x09CD: return "viramabengali";
            case 0x09D7: return "aulengthmarkbengali";
            case 0x09DC: return "rrabengali";
            case 0x09DD: return "rhabengali";
            case 0x09DF: return "yyabengali";
            case 0x09E0: return "rrvocalicbengali";
            case 0x09E1: return "llvocalicbengali";
            case 0x09E2: return "lvocalicvowelsignbengali";
            case 0x09E3: return "llvocalicvowelsignbengali";
            case 0x09E6: return "zerobengali";
            case 0x09E7: return "onebengali";
            case 0x09E8: return "twobengali";
            case 0x09E9: return "threebengali";
            case 0x09EA: return "fourbengali";
            case 0x09EB: return "fivebengali";
            case 0x09EC: return "sixbengali";
            case 0x09ED: return "sevenbengali";
            case 0x09EE: return "eightbengali";
            case 0x09EF: return "ninebengali";
            case 0x09F0: return "ramiddlediagonalbengali";
            case 0x09F1: return "ralowerdiagonalbengali";
            case 0x09F2: return "rupeemarkbengali";
            case 0x09F3: return "rupeesignbengali";
            case 0x09F4: return "onenumeratorbengali";
            case 0x09F5: return "twonumeratorbengali";
            case 0x09F6: return "threenumeratorbengali";
            case 0x09F7: return "fournumeratorbengali";
            case 0x09F8: return "denominatorminusonenumeratorbengali";
            case 0x09F9: return "sixteencurrencydenominatorbengali";
            case 0x09FA: return "issharbengali";
            case 0x0A02: return "bindigurmukhi";
            case 0x0A05: return "agurmukhi";
            case 0x0A06: return "aagurmukhi";
            case 0x0A07: return "igurmukhi";
            case 0x0A08: return "iigurmukhi";
            case 0x0A09: return "ugurmukhi";
            case 0x0A0A: return "uugurmukhi";
            case 0x0A0F: return "eegurmukhi";
            case 0x0A10: return "aigurmukhi";
            case 0x0A13: return "oogurmukhi";
            case 0x0A14: return "augurmukhi";
            case 0x0A15: return "kagurmukhi";
            case 0x0A16: return "khagurmukhi";
            case 0x0A17: return "gagurmukhi";
            case 0x0A18: return "ghagurmukhi";
            case 0x0A19: return "ngagurmukhi";
            case 0x0A1A: return "cagurmukhi";
            case 0x0A1B: return "chagurmukhi";
            case 0x0A1C: return "jagurmukhi";
            case 0x0A1D: return "jhagurmukhi";
            case 0x0A1E: return "nyagurmukhi";
            case 0x0A1F: return "ttagurmukhi";
            case 0x0A20: return "tthagurmukhi";
            case 0x0A21: return "ddagurmukhi";
            case 0x0A22: return "ddhagurmukhi";
            case 0x0A23: return "nnagurmukhi";
            case 0x0A24: return "tagurmukhi";
            case 0x0A25: return "thagurmukhi";
            case 0x0A26: return "dagurmukhi";
            case 0x0A27: return "dhagurmukhi";
            case 0x0A28: return "nagurmukhi";
            case 0x0A2A: return "pagurmukhi";
            case 0x0A2B: return "phagurmukhi";
            case 0x0A2C: return "bagurmukhi";
            case 0x0A2D: return "bhagurmukhi";
            case 0x0A2E: return "magurmukhi";
            case 0x0A2F: return "yagurmukhi";
            case 0x0A30: return "ragurmukhi";
            case 0x0A32: return "lagurmukhi";
            case 0x0A35: return "vagurmukhi";
            case 0x0A36: return "shagurmukhi";
            case 0x0A38: return "sagurmukhi";
            case 0x0A39: return "hagurmukhi";
            case 0x0A3C: return "nuktagurmukhi";
            case 0x0A3E: return "aamatragurmukhi";
            case 0x0A3F: return "imatragurmukhi";
            case 0x0A40: return "iimatragurmukhi";
            case 0x0A41: return "umatragurmukhi";
            case 0x0A42: return "uumatragurmukhi";
            case 0x0A47: return "eematragurmukhi";
            case 0x0A48: return "aimatragurmukhi";
            case 0x0A4B: return "oomatragurmukhi";
            case 0x0A4C: return "aumatragurmukhi";
            case 0x0A4D: return "halantgurmukhi";
            case 0x0A59: return "khhagurmukhi";
            case 0x0A5A: return "ghhagurmukhi";
            case 0x0A5B: return "zagurmukhi";
            case 0x0A5C: return "rragurmukhi";
            case 0x0A5E: return "fagurmukhi";
            case 0x0A66: return "zerogurmukhi";
            case 0x0A67: return "onegurmukhi";
            case 0x0A68: return "twogurmukhi";
            case 0x0A69: return "threegurmukhi";
            case 0x0A6A: return "fourgurmukhi";
            case 0x0A6B: return "fivegurmukhi";
            case 0x0A6C: return "sixgurmukhi";
            case 0x0A6D: return "sevengurmukhi";
            case 0x0A6E: return "eightgurmukhi";
            case 0x0A6F: return "ninegurmukhi";
            case 0x0A70: return "tippigurmukhi";
            case 0x0A71: return "addakgurmukhi";
            case 0x0A72: return "irigurmukhi";
            case 0x0A73: return "uragurmukhi";
            case 0x0A74: return "ekonkargurmukhi";
            case 0x0A81: return "candrabindugujarati";
            case 0x0A82: return "anusvaragujarati";
            case 0x0A83: return "visargagujarati";
            case 0x0A85: return "agujarati";
            case 0x0A86: return "aagujarati";
            case 0x0A87: return "igujarati";
            case 0x0A88: return "iigujarati";
            case 0x0A89: return "ugujarati";
            case 0x0A8A: return "uugujarati";
            case 0x0A8B: return "rvocalicgujarati";
            case 0x0A8D: return "ecandragujarati";
            case 0x0A8F: return "egujarati";
            case 0x0A90: return "aigujarati";
            case 0x0A91: return "ocandragujarati";
            case 0x0A93: return "ogujarati";
            case 0x0A94: return "augujarati";
            case 0x0A95: return "kagujarati";
            case 0x0A96: return "khagujarati";
            case 0x0A97: return "gagujarati";
            case 0x0A98: return "ghagujarati";
            case 0x0A99: return "ngagujarati";
            case 0x0A9A: return "cagujarati";
            case 0x0A9B: return "chagujarati";
            case 0x0A9C: return "jagujarati";
            case 0x0A9D: return "jhagujarati";
            case 0x0A9E: return "nyagujarati";
            case 0x0A9F: return "ttagujarati";
            case 0x0AA0: return "tthagujarati";
            case 0x0AA1: return "ddagujarati";
            case 0x0AA2: return "ddhagujarati";
            case 0x0AA3: return "nnagujarati";
            case 0x0AA4: return "tagujarati";
            case 0x0AA5: return "thagujarati";
            case 0x0AA6: return "dagujarati";
            case 0x0AA7: return "dhagujarati";
            case 0x0AA8: return "nagujarati";
            case 0x0AAA: return "pagujarati";
            case 0x0AAB: return "phagujarati";
            case 0x0AAC: return "bagujarati";
            case 0x0AAD: return "bhagujarati";
            case 0x0AAE: return "magujarati";
            case 0x0AAF: return "yagujarati";
            case 0x0AB0: return "ragujarati";
            case 0x0AB2: return "lagujarati";
            case 0x0AB3: return "llagujarati";
            case 0x0AB5: return "vagujarati";
            case 0x0AB6: return "shagujarati";
            case 0x0AB7: return "ssagujarati";
            case 0x0AB8: return "sagujarati";
            case 0x0AB9: return "hagujarati";
            case 0x0ABC: return "nuktagujarati";
            case 0x0ABE: return "aavowelsigngujarati";
            case 0x0ABF: return "ivowelsigngujarati";
            case 0x0AC0: return "iivowelsigngujarati";
            case 0x0AC1: return "uvowelsigngujarati";
            case 0x0AC2: return "uuvowelsigngujarati";
            case 0x0AC3: return "rvocalicvowelsigngujarati";
            case 0x0AC4: return "rrvocalicvowelsigngujarati";
            case 0x0AC5: return "ecandravowelsigngujarati";
            case 0x0AC7: return "evowelsigngujarati";
            case 0x0AC8: return "aivowelsigngujarati";
            case 0x0AC9: return "ocandravowelsigngujarati";
            case 0x0ACB: return "ovowelsigngujarati";
            case 0x0ACC: return "auvowelsigngujarati";
            case 0x0ACD: return "viramagujarati";
            case 0x0AD0: return "omgujarati";
            case 0x0AE0: return "rrvocalicgujarati";
            case 0x0AE6: return "zerogujarati";
            case 0x0AE7: return "onegujarati";
            case 0x0AE8: return "twogujarati";
            case 0x0AE9: return "threegujarati";
            case 0x0AEA: return "fourgujarati";
            case 0x0AEB: return "fivegujarati";
            case 0x0AEC: return "sixgujarati";
            case 0x0AED: return "sevengujarati";
            case 0x0AEE: return "eightgujarati";
            case 0x0AEF: return "ninegujarati";
            case 0x0E01: return "kokaithai";
            case 0x0E02: return "khokhaithai";
            case 0x0E03: return "khokhuatthai";
            case 0x0E04: return "khokhwaithai";
            case 0x0E05: return "khokhonthai";
            case 0x0E06: return "khorakhangthai";
            case 0x0E07: return "ngonguthai";
            case 0x0E08: return "chochanthai";
            case 0x0E09: return "chochingthai";
            case 0x0E0A: return "chochangthai";
            case 0x0E0B: return "sosothai";
            case 0x0E0C: return "chochoethai";
            case 0x0E0D: return "yoyingthai";
            case 0x0E0E: return "dochadathai";
            case 0x0E0F: return "topatakthai";
            case 0x0E10: return "thothanthai";
            case 0x0E11: return "thonangmonthothai";
            case 0x0E12: return "thophuthaothai";
            case 0x0E13: return "nonenthai";
            case 0x0E14: return "dodekthai";
            case 0x0E15: return "totaothai";
            case 0x0E16: return "thothungthai";
            case 0x0E17: return "thothahanthai";
            case 0x0E18: return "thothongthai";
            case 0x0E19: return "nonuthai";
            case 0x0E1A: return "bobaimaithai";
            case 0x0E1B: return "poplathai";
            case 0x0E1C: return "phophungthai";
            case 0x0E1D: return "fofathai";
            case 0x0E1E: return "phophanthai";
            case 0x0E1F: return "fofanthai";
            case 0x0E20: return "phosamphaothai";
            case 0x0E21: return "momathai";
            case 0x0E22: return "yoyakthai";
            case 0x0E23: return "roruathai";
            case 0x0E24: return "ruthai";
            case 0x0E25: return "lolingthai";
            case 0x0E26: return "luthai";
            case 0x0E27: return "wowaenthai";
            case 0x0E28: return "sosalathai";
            case 0x0E29: return "sorusithai";
            case 0x0E2A: return "sosuathai";
            case 0x0E2B: return "hohipthai";
            case 0x0E2C: return "lochulathai";
            case 0x0E2D: return "oangthai";
            case 0x0E2E: return "honokhukthai";
            case 0x0E2F: return "paiyannoithai";
            case 0x0E30: return "saraathai";
            case 0x0E31: return "maihanakatthai";
            case 0x0E32: return "saraaathai";
            case 0x0E33: return "saraamthai";
            case 0x0E34: return "saraithai";
            case 0x0E35: return "saraiithai";
            case 0x0E36: return "sarauethai";
            case 0x0E37: return "saraueethai";
            case 0x0E38: return "sarauthai";
            case 0x0E39: return "sarauuthai";
            case 0x0E3A: return "phinthuthai";
            case 0x0E3F: return "bahtthai";
            case 0x0E40: return "saraethai";
            case 0x0E41: return "saraaethai";
            case 0x0E42: return "saraothai";
            case 0x0E43: return "saraaimaimuanthai";
            case 0x0E44: return "saraaimaimalaithai";
            case 0x0E45: return "lakkhangyaothai";
            case 0x0E46: return "maiyamokthai";
            case 0x0E47: return "maitaikhuthai";
            case 0x0E48: return "maiekthai";
            case 0x0E49: return "maithothai";
            case 0x0E4A: return "maitrithai";
            case 0x0E4B: return "maichattawathai";
            case 0x0E4C: return "thanthakhatthai";
            case 0x0E4D: return "nikhahitthai";
            case 0x0E4E: return "yamakkanthai";
            case 0x0E4F: return "fongmanthai";
            case 0x0E50: return "zerothai";
            case 0x0E51: return "onethai";
            case 0x0E52: return "twothai";
            case 0x0E53: return "threethai";
            case 0x0E54: return "fourthai";
            case 0x0E55: return "fivethai";
            case 0x0E56: return "sixthai";
            case 0x0E57: return "seventhai";
            case 0x0E58: return "eightthai";
            case 0x0E59: return "ninethai";
            case 0x0E5A: return "angkhankhuthai";
            case 0x0E5B: return "khomutthai";
            case 0x1E00: return "Aringbelow";
            case 0x1E01: return "aringbelow";
            case 0x1E02: return "Bdotaccent";
            case 0x1E03: return "bdotaccent";
            case 0x1E04: return "Bdotbelow";
            case 0x1E05: return "bdotbelow";
            case 0x1E06: return "Blinebelow";
            case 0x1E07: return "blinebelow";
            case 0x1E08: return "Ccedillaacute";
            case 0x1E09: return "ccedillaacute";
            case 0x1E0A: return "Ddotaccent";
            case 0x1E0B: return "ddotaccent";
            case 0x1E0C: return "Ddotbelow";
            case 0x1E0D: return "ddotbelow";
            case 0x1E0E: return "Dlinebelow";
            case 0x1E0F: return "dlinebelow";
            case 0x1E10: return "Dcedilla";
            case 0x1E11: return "dcedilla";
            case 0x1E12: return "Dcircumflexbelow";
            case 0x1E13: return "dcircumflexbelow";
            case 0x1E14: return "Emacrongrave";
            case 0x1E15: return "emacrongrave";
            case 0x1E16: return "Emacronacute";
            case 0x1E17: return "emacronacute";
            case 0x1E18: return "Ecircumflexbelow";
            case 0x1E19: return "ecircumflexbelow";
            case 0x1E1A: return "Etildebelow";
            case 0x1E1B: return "etildebelow";
            case 0x1E1C: return "Ecedillabreve";
            case 0x1E1D: return "ecedillabreve";
            case 0x1E1E: return "Fdotaccent";
            case 0x1E1F: return "fdotaccent";
            case 0x1E20: return "Gmacron";
            case 0x1E21: return "gmacron";
            case 0x1E22: return "Hdotaccent";
            case 0x1E23: return "hdotaccent";
            case 0x1E24: return "Hdotbelow";
            case 0x1E25: return "hdotbelow";
            case 0x1E26: return "Hdieresis";
            case 0x1E27: return "hdieresis";
            case 0x1E28: return "Hcedilla";
            case 0x1E29: return "hcedilla";
            case 0x1E2A: return "Hbrevebelow";
            case 0x1E2B: return "hbrevebelow";
            case 0x1E2C: return "Itildebelow";
            case 0x1E2D: return "itildebelow";
            case 0x1E2E: return "Idieresisacute";
            case 0x1E2F: return "idieresisacute";
            case 0x1E30: return "Kacute";
            case 0x1E31: return "kacute";
            case 0x1E32: return "Kdotbelow";
            case 0x1E33: return "kdotbelow";
            case 0x1E34: return "Klinebelow";
            case 0x1E35: return "klinebelow";
            case 0x1E36: return "Ldotbelow";
            case 0x1E37: return "ldotbelow";
            case 0x1E38: return "Ldotbelowmacron";
            case 0x1E39: return "ldotbelowmacron";
            case 0x1E3A: return "Llinebelow";
            case 0x1E3B: return "llinebelow";
            case 0x1E3C: return "Lcircumflexbelow";
            case 0x1E3D: return "lcircumflexbelow";
            case 0x1E3E: return "Macute";
            case 0x1E3F: return "macute";
            case 0x1E40: return "Mdotaccent";
            case 0x1E41: return "mdotaccent";
            case 0x1E42: return "Mdotbelow";
            case 0x1E43: return "mdotbelow";
            case 0x1E44: return "Ndotaccent";
            case 0x1E45: return "ndotaccent";
            case 0x1E46: return "Ndotbelow";
            case 0x1E47: return "ndotbelow";
            case 0x1E48: return "Nlinebelow";
            case 0x1E49: return "nlinebelow";
            case 0x1E4A: return "Ncircumflexbelow";
            case 0x1E4B: return "ncircumflexbelow";
            case 0x1E4C: return "Otildeacute";
            case 0x1E4D: return "otildeacute";
            case 0x1E4E: return "Otildedieresis";
            case 0x1E4F: return "otildedieresis";
            case 0x1E50: return "Omacrongrave";
            case 0x1E51: return "omacrongrave";
            case 0x1E52: return "Omacronacute";
            case 0x1E53: return "omacronacute";
            case 0x1E54: return "Pacute";
            case 0x1E55: return "pacute";
            case 0x1E56: return "Pdotaccent";
            case 0x1E57: return "pdotaccent";
            case 0x1E58: return "Rdotaccent";
            case 0x1E59: return "rdotaccent";
            case 0x1E5A: return "Rdotbelow";
            case 0x1E5B: return "rdotbelow";
            case 0x1E5C: return "Rdotbelowmacron";
            case 0x1E5D: return "rdotbelowmacron";
            case 0x1E5E: return "Rlinebelow";
            case 0x1E5F: return "rlinebelow";
            case 0x1E60: return "Sdotaccent";
            case 0x1E61: return "sdotaccent";
            case 0x1E62: return "Sdotbelow";
            case 0x1E63: return "sdotbelow";
            case 0x1E64: return "Sacutedotaccent";
            case 0x1E65: return "sacutedotaccent";
            case 0x1E66: return "Scarondotaccent";
            case 0x1E67: return "scarondotaccent";
            case 0x1E68: return "Sdotbelowdotaccent";
            case 0x1E69: return "sdotbelowdotaccent";
            case 0x1E6A: return "Tdotaccent";
            case 0x1E6B: return "tdotaccent";
            case 0x1E6C: return "Tdotbelow";
            case 0x1E6D: return "tdotbelow";
            case 0x1E6E: return "Tlinebelow";
            case 0x1E6F: return "tlinebelow";
            case 0x1E70: return "Tcircumflexbelow";
            case 0x1E71: return "tcircumflexbelow";
            case 0x1E72: return "Udieresisbelow";
            case 0x1E73: return "udieresisbelow";
            case 0x1E74: return "Utildebelow";
            case 0x1E75: return "utildebelow";
            case 0x1E76: return "Ucircumflexbelow";
            case 0x1E77: return "ucircumflexbelow";
            case 0x1E78: return "Utildeacute";
            case 0x1E79: return "utildeacute";
            case 0x1E7A: return "Umacrondieresis";
            case 0x1E7B: return "umacrondieresis";
            case 0x1E7C: return "Vtilde";
            case 0x1E7D: return "vtilde";
            case 0x1E7E: return "Vdotbelow";
            case 0x1E7F: return "vdotbelow";
            case 0x1E80: return "Wgrave";
            case 0x1E81: return "wgrave";
            case 0x1E82: return "Wacute";
            case 0x1E83: return "wacute";
            case 0x1E84: return "Wdieresis";
            case 0x1E85: return "wdieresis";
            case 0x1E86: return "Wdotaccent";
            case 0x1E87: return "wdotaccent";
            case 0x1E88: return "Wdotbelow";
            case 0x1E89: return "wdotbelow";
            case 0x1E8A: return "Xdotaccent";
            case 0x1E8B: return "xdotaccent";
            case 0x1E8C: return "Xdieresis";
            case 0x1E8D: return "xdieresis";
            case 0x1E8E: return "Ydotaccent";
            case 0x1E8F: return "ydotaccent";
            case 0x1E90: return "Zcircumflex";
            case 0x1E91: return "zcircumflex";
            case 0x1E92: return "Zdotbelow";
            case 0x1E93: return "zdotbelow";
            case 0x1E94: return "Zlinebelow";
            case 0x1E95: return "zlinebelow";
            case 0x1E96: return "hlinebelow";
            case 0x1E97: return "tdieresis";
            case 0x1E98: return "wring";
            case 0x1E99: return "yring";
            case 0x1E9A: return "arighthalfring";
            case 0x1E9B: return "slongdotaccent";
            case 0x1EA0: return "Adotbelow";
            case 0x1EA1: return "adotbelow";
            case 0x1EA2: return "Ahookabove";
            case 0x1EA3: return "ahookabove";
            case 0x1EA4: return "Acircumflexacute";
            case 0x1EA5: return "acircumflexacute";
            case 0x1EA6: return "Acircumflexgrave";
            case 0x1EA7: return "acircumflexgrave";
            case 0x1EA8: return "Acircumflexhookabove";
            case 0x1EA9: return "acircumflexhookabove";
            case 0x1EAA: return "Acircumflextilde";
            case 0x1EAB: return "acircumflextilde";
            case 0x1EAC: return "Acircumflexdotbelow";
            case 0x1EAD: return "acircumflexdotbelow";
            case 0x1EAE: return "Abreveacute";
            case 0x1EAF: return "abreveacute";
            case 0x1EB0: return "Abrevegrave";
            case 0x1EB1: return "abrevegrave";
            case 0x1EB2: return "Abrevehookabove";
            case 0x1EB3: return "abrevehookabove";
            case 0x1EB4: return "Abrevetilde";
            case 0x1EB5: return "abrevetilde";
            case 0x1EB6: return "Abrevedotbelow";
            case 0x1EB7: return "abrevedotbelow";
            case 0x1EB8: return "Edotbelow";
            case 0x1EB9: return "edotbelow";
            case 0x1EBA: return "Ehookabove";
            case 0x1EBB: return "ehookabove";
            case 0x1EBC: return "Etilde";
            case 0x1EBD: return "etilde";
            case 0x1EBE: return "Ecircumflexacute";
            case 0x1EBF: return "ecircumflexacute";
            case 0x1EC0: return "Ecircumflexgrave";
            case 0x1EC1: return "ecircumflexgrave";
            case 0x1EC2: return "Ecircumflexhookabove";
            case 0x1EC3: return "ecircumflexhookabove";
            case 0x1EC4: return "Ecircumflextilde";
            case 0x1EC5: return "ecircumflextilde";
            case 0x1EC6: return "Ecircumflexdotbelow";
            case 0x1EC7: return "ecircumflexdotbelow";
            case 0x1EC8: return "Ihookabove";
            case 0x1EC9: return "ihookabove";
            case 0x1ECA: return "Idotbelow";
            case 0x1ECB: return "idotbelow";
            case 0x1ECC: return "Odotbelow";
            case 0x1ECD: return "odotbelow";
            case 0x1ECE: return "Ohookabove";
            case 0x1ECF: return "ohookabove";
            case 0x1ED0: return "Ocircumflexacute";
            case 0x1ED1: return "ocircumflexacute";
            case 0x1ED2: return "Ocircumflexgrave";
            case 0x1ED3: return "ocircumflexgrave";
            case 0x1ED4: return "Ocircumflexhookabove";
            case 0x1ED5: return "ocircumflexhookabove";
            case 0x1ED6: return "Ocircumflextilde";
            case 0x1ED7: return "ocircumflextilde";
            case 0x1ED8: return "Ocircumflexdotbelow";
            case 0x1ED9: return "ocircumflexdotbelow";
            case 0x1EDA: return "Ohornacute";
            case 0x1EDB: return "ohornacute";
            case 0x1EDC: return "Ohorngrave";
            case 0x1EDD: return "ohorngrave";
            case 0x1EDE: return "Ohornhookabove";
            case 0x1EDF: return "ohornhookabove";
            case 0x1EE0: return "Ohorntilde";
            case 0x1EE1: return "ohorntilde";
            case 0x1EE2: return "Ohorndotbelow";
            case 0x1EE3: return "ohorndotbelow";
            case 0x1EE4: return "Udotbelow";
            case 0x1EE5: return "udotbelow";
            case 0x1EE6: return "Uhookabove";
            case 0x1EE7: return "uhookabove";
            case 0x1EE8: return "Uhornacute";
            case 0x1EE9: return "uhornacute";
            case 0x1EEA: return "Uhorngrave";
            case 0x1EEB: return "uhorngrave";
            case 0x1EEC: return "Uhornhookabove";
            case 0x1EED: return "uhornhookabove";
            case 0x1EEE: return "Uhorntilde";
            case 0x1EEF: return "uhorntilde";
            case 0x1EF0: return "Uhorndotbelow";
            case 0x1EF1: return "uhorndotbelow";
            case 0x1EF2: return "Ygrave";
            case 0x1EF3: return "ygrave";
            case 0x1EF4: return "Ydotbelow";
            case 0x1EF5: return "ydotbelow";
            case 0x1EF6: return "Yhookabove";
            case 0x1EF7: return "yhookabove";
            case 0x1EF8: return "Ytilde";
            case 0x1EF9: return "ytilde";
            case 0x200B: return "zerowidthspace";
            case 0x2010: return "hyphentwo";
            case 0x2012: return "figuredash";
            case 0x2015: return "horizontalbar";
            case 0x2016: return "dblverticalbar";
            case 0x2017: return "underscoredbl";
            case 0x201B: return "quotereversed";
            case 0x2024: return "onedotenleader";
            case 0x2025: return "twodotleader";
            case 0x202C: return "afii61573";
            case 0x202D: return "afii61574";
            case 0x202E: return "afii61575";
            case 0x2035: return "primereversed";
            case 0x203B: return "referencemark";
            case 0x203C: return "exclamdbl";
            case 0x2042: return "asterism";
            case 0x2070: return "zerosuperior";
            case 0x2074: return "foursuperior";
            case 0x2075: return "fivesuperior";
            case 0x2076: return "sixsuperior";
            case 0x2077: return "sevensuperior";
            case 0x2078: return "eightsuperior";
            case 0x2079: return "ninesuperior";
            case 0x207A: return "plussuperior";
            case 0x207C: return "equalsuperior";
            case 0x207D: return "parenleftsuperior";
            case 0x207E: return "parenrightsuperior";
            case 0x207F: return "nsuperior";
            case 0x2080: return "zeroinferior";
            case 0x2081: return "oneinferior";
            case 0x2082: return "twoinferior";
            case 0x2083: return "threeinferior";
            case 0x2084: return "fourinferior";
            case 0x2085: return "fiveinferior";
            case 0x2086: return "sixinferior";
            case 0x2087: return "seveninferior";
            case 0x2088: return "eightinferior";
            case 0x2089: return "nineinferior";
            case 0x208D: return "parenleftinferior";
            case 0x208E: return "parenrightinferior";
            case 0x20A1: return "colonsign";
            case 0x20A2: return "cruzeiro";
            case 0x20A3: return "franc";
            case 0x20A4: return "lira";
            case 0x20A7: return "peseta";
            case 0x20A9: return "won";
            case 0x20AA: return "sheqelhebrew";
            case 0x20AB: return "dong";
            case 0x2103: return "centigrade";
            case 0x2105: return "careof";
            case 0x2109: return "fahrenheit";
            case 0x2113: return "lsquare";
            case 0x2116: return "numero";
            case 0x211E: return "prescription";
            case 0x2121: return "telephone";
            case 0x2126: return "Omega";
            case 0x212B: return "angstrom";
            case 0x212E: return "estimated";
            case 0x2153: return "onethird";
            case 0x2154: return "twothirds";
            case 0x215B: return "oneeighth";
            case 0x215C: return "threeeighths";
            case 0x215D: return "fiveeighths";
            case 0x215E: return "seveneighths";
            case 0x2160: return "Oneroman";
            case 0x2161: return "Tworoman";
            case 0x2162: return "Threeroman";
            case 0x2163: return "Fourroman";
            case 0x2164: return "Fiveroman";
            case 0x2165: return "Sixroman";
            case 0x2166: return "Sevenroman";
            case 0x2167: return "Eightroman";
            case 0x2168: return "Nineroman";
            case 0x2169: return "Tenroman";
            case 0x216A: return "Elevenroman";
            case 0x216B: return "Twelveroman";
            case 0x2170: return "oneroman";
            case 0x2171: return "tworoman";
            case 0x2172: return "threeroman";
            case 0x2173: return "fourroman";
            case 0x2174: return "fiveroman";
            case 0x2175: return "sixroman";
            case 0x2176: return "sevenroman";
            case 0x2177: return "eightroman";
            case 0x2178: return "nineroman";
            case 0x2179: return "tenroman";
            case 0x217A: return "elevenroman";
            case 0x217B: return "twelveroman";
            case 0x2195: return "arrowupdn";
            case 0x2196: return "arrowupleft";
            case 0x2197: return "arrowupright";
            case 0x2198: return "arrowdownright";
            case 0x2199: return "arrowdownleft";
            case 0x21A8: return "arrowupdownbase";
            case 0x21BC: return "harpoonleftbarbup";
            case 0x21C0: return "harpoonrightbarbup";
            case 0x21C4: return "arrowrightoverleft";
            case 0x21C5: return "arrowupleftofdown";
            case 0x21C6: return "arrowleftoverright";
            case 0x21CD: return "arrowleftdblstroke";
            case 0x21CF: return "arrowrightdblstroke";
            case 0x21DE: return "pageup";
            case 0x21DF: return "pagedown";
            case 0x21E0: return "arrowdashleft";
            case 0x21E1: return "arrowdashup";
            case 0x21E2: return "arrowdashright";
            case 0x21E3: return "arrowdashdown";
            case 0x21E4: return "arrowtableft";
            case 0x21E5: return "arrowtabright";
            case 0x21E6: return "arrowleftwhite";
            case 0x21E7: return "arrowupwhite";
            case 0x21E8: return "arrowrightwhite";
            case 0x21E9: return "arrowdownwhite";
            case 0x21EA: return "capslock";
            case 0x2206: return "increment";
            case 0x220C: return "notcontains";
            case 0x2213: return "minusplus";
            case 0x2215: return "divisionslash";
            case 0x2219: return "bulletoperator";
            case 0x221F: return "rightangle";
            case 0x2223: return "divides";
            case 0x2225: return "parallel";
            case 0x2226: return "notparallel";
            case 0x222C: return "dblintegral";
            case 0x222E: return "contourintegral";
            case 0x2235: return "because";
            case 0x2236: return "ratio";
            case 0x2237: return "proportion";
            case 0x223D: return "reversedtilde";
            case 0x2243: return "asymptoticallyequal";
            case 0x224C: return "allequal";
            case 0x2250: return "approaches";
            case 0x2251: return "geometricallyequal";
            case 0x2252: return "approxequalorimage";
            case 0x2253: return "imageorapproximatelyequal";
            case 0x2262: return "notidentical";
            case 0x2266: return "lessoverequal";
            case 0x2267: return "greateroverequal";
            case 0x226A: return "muchless";
            case 0x226B: return "muchgreater";
            case 0x226E: return "notless";
            case 0x226F: return "notgreater";
            case 0x2270: return "notlessnorequal";
            case 0x2271: return "notgreaternorequal";
            case 0x2272: return "lessorequivalent";
            case 0x2273: return "greaterorequivalent";
            case 0x2276: return "lessorgreater";
            case 0x2277: return "greaterorless";
            case 0x2279: return "notgreaternorless";
            case 0x227A: return "precedes";
            case 0x227B: return "succeeds";
            case 0x2280: return "notprecedes";
            case 0x2281: return "notsucceeds";
            case 0x2285: return "notsuperset";
            case 0x228A: return "subsetnotequal";
            case 0x228B: return "supersetnotequal";
            case 0x2296: return "minuscircle";
            case 0x2299: return "circleot";
            case 0x22A3: return "tackleft";
            case 0x22A4: return "tackdown";
            case 0x22BF: return "righttriangle";
            case 0x22CE: return "curlyor";
            case 0x22CF: return "curlyand";
            case 0x22DA: return "lessequalorgreater";
            case 0x22DB: return "greaterequalorless";
            case 0x22EE: return "ellipsisvertical";
            case 0x2302: return "house";
            case 0x2303: return "control";
            case 0x2305: return "projective";
            case 0x2310: return "revlogicalnot";
            case 0x2312: return "arc";
            case 0x2318: return "propellor";
            case 0x2320: return "integraltp";
            case 0x2321: return "integralbt";
            case 0x2325: return "option";
            case 0x2326: return "deleteright";
            case 0x2327: return "clear";
            case 0x232B: return "deleteleft";
            case 0x2423: return "blank";
            case 0x2460: return "onecircle";
            case 0x2461: return "twocircle";
            case 0x2462: return "threecircle";
            case 0x2463: return "fourcircle";
            case 0x2464: return "fivecircle";
            case 0x2465: return "sixcircle";
            case 0x2466: return "sevencircle";
            case 0x2467: return "eightcircle";
            case 0x2468: return "ninecircle";
            case 0x2469: return "tencircle";
            case 0x246A: return "elevencircle";
            case 0x246B: return "twelvecircle";
            case 0x246C: return "thirteencircle";
            case 0x246D: return "fourteencircle";
            case 0x246E: return "fifteencircle";
            case 0x246F: return "sixteencircle";
            case 0x2470: return "seventeencircle";
            case 0x2471: return "eighteencircle";
            case 0x2472: return "nineteencircle";
            case 0x2473: return "twentycircle";
            case 0x2474: return "oneparen";
            case 0x2475: return "twoparen";
            case 0x2476: return "threeparen";
            case 0x2477: return "fourparen";
            case 0x2478: return "fiveparen";
            case 0x2479: return "sixparen";
            case 0x247A: return "sevenparen";
            case 0x247B: return "eightparen";
            case 0x247C: return "nineparen";
            case 0x247D: return "tenparen";
            case 0x247E: return "elevenparen";
            case 0x247F: return "twelveparen";
            case 0x2480: return "thirteenparen";
            case 0x2481: return "fourteenparen";
            case 0x2482: return "fifteenparen";
            case 0x2483: return "sixteenparen";
            case 0x2484: return "seventeenparen";
            case 0x2485: return "eighteenparen";
            case 0x2486: return "nineteenparen";
            case 0x2487: return "twentyparen";
            case 0x2488: return "oneperiod";
            case 0x2489: return "twoperiod";
            case 0x248A: return "threeperiod";
            case 0x248B: return "fourperiod";
            case 0x248C: return "fiveperiod";
            case 0x248D: return "sixperiod";
            case 0x248E: return "sevenperiod";
            case 0x248F: return "eightperiod";
            case 0x2490: return "nineperiod";
            case 0x2491: return "tenperiod";
            case 0x2492: return "elevenperiod";
            case 0x2493: return "twelveperiod";
            case 0x2494: return "thirteenperiod";
            case 0x2495: return "fourteenperiod";
            case 0x2496: return "fifteenperiod";
            case 0x2497: return "sixteenperiod";
            case 0x2498: return "seventeenperiod";
            case 0x2499: return "eighteenperiod";
            case 0x249A: return "nineteenperiod";
            case 0x249B: return "twentyperiod";
            case 0x249C: return "aparen";
            case 0x249D: return "bparen";
            case 0x249E: return "cparen";
            case 0x249F: return "dparen";
            case 0x24A0: return "eparen";
            case 0x24A1: return "fparen";
            case 0x24A2: return "gparen";
            case 0x24A3: return "hparen";
            case 0x24A4: return "iparen";
            case 0x24A5: return "jparen";
            case 0x24A6: return "kparen";
            case 0x24A7: return "lparen";
            case 0x24A8: return "mparen";
            case 0x24A9: return "nparen";
            case 0x24AA: return "oparen";
            case 0x24AB: return "pparen";
            case 0x24AC: return "qparen";
            case 0x24AD: return "rparen";
            case 0x24AE: return "sparen";
            case 0x24AF: return "tparen";
            case 0x24B0: return "uparen";
            case 0x24B1: return "vparen";
            case 0x24B2: return "wparen";
            case 0x24B3: return "xparen";
            case 0x24B4: return "yparen";
            case 0x24B5: return "zparen";
            case 0x24B6: return "Acircle";
            case 0x24B7: return "Bcircle";
            case 0x24B8: return "Ccircle";
            case 0x24B9: return "Dcircle";
            case 0x24BA: return "Ecircle";
            case 0x24BB: return "Fcircle";
            case 0x24BC: return "Gcircle";
            case 0x24BD: return "Hcircle";
            case 0x24BE: return "Icircle";
            case 0x24BF: return "Jcircle";
            case 0x24C0: return "Kcircle";
            case 0x24C1: return "Lcircle";
            case 0x24C2: return "Mcircle";
            case 0x24C3: return "Ncircle";
            case 0x24C4: return "Ocircle";
            case 0x24C5: return "Pcircle";
            case 0x24C6: return "Qcircle";
            case 0x24C7: return "Rcircle";
            case 0x24C8: return "Scircle";
            case 0x24C9: return "Tcircle";
            case 0x24CA: return "Ucircle";
            case 0x24CB: return "Vcircle";
            case 0x24CC: return "Wcircle";
            case 0x24CD: return "Xcircle";
            case 0x24CE: return "Ycircle";
            case 0x24CF: return "Zcircle";
            case 0x24D0: return "acircle";
            case 0x24D1: return "bcircle";
            case 0x24D2: return "ccircle";
            case 0x24D3: return "dcircle";
            case 0x24D4: return "ecircle";
            case 0x24D5: return "fcircle";
            case 0x24D6: return "gcircle";
            case 0x24D7: return "hcircle";
            case 0x24D8: return "icircle";
            case 0x24D9: return "jcircle";
            case 0x24DA: return "kcircle";
            case 0x24DB: return "lcircle";
            case 0x24DC: return "mcircle";
            case 0x24DD: return "ncircle";
            case 0x24DE: return "ocircle";
            case 0x24DF: return "pcircle";
            case 0x24E0: return "qcircle";
            case 0x24E1: return "rcircle";
            case 0x24E2: return "scircle";
            case 0x24E3: return "tcircle";
            case 0x24E4: return "ucircle";
            case 0x24E5: return "vcircle";
            case 0x24E6: return "wcircle";
            case 0x24E7: return "xcircle";
            case 0x24E8: return "ycircle";
            case 0x24E9: return "zcircle";
            case 0x2500: return "SF100000";
            case 0x2502: return "SF110000";
            case 0x250C: return "SF010000";
            case 0x2510: return "SF030000";
            case 0x2514: return "SF020000";
            case 0x2518: return "SF040000";
            case 0x251C: return "SF080000";
            case 0x2524: return "SF090000";
            case 0x252C: return "SF060000";
            case 0x2534: return "SF070000";
            case 0x253C: return "SF050000";
            case 0x2550: return "SF430000";
            case 0x2551: return "SF240000";
            case 0x2552: return "SF510000";
            case 0x2553: return "SF520000";
            case 0x2554: return "SF390000";
            case 0x2555: return "SF220000";
            case 0x2556: return "SF210000";
            case 0x2557: return "SF250000";
            case 0x2558: return "SF500000";
            case 0x2559: return "SF490000";
            case 0x255A: return "SF380000";
            case 0x255B: return "SF280000";
            case 0x255C: return "SF270000";
            case 0x255D: return "SF260000";
            case 0x255E: return "SF360000";
            case 0x255F: return "SF370000";
            case 0x2560: return "SF420000";
            case 0x2561: return "SF190000";
            case 0x2562: return "SF200000";
            case 0x2563: return "SF230000";
            case 0x2564: return "SF470000";
            case 0x2565: return "SF480000";
            case 0x2566: return "SF410000";
            case 0x2567: return "SF450000";
            case 0x2568: return "SF460000";
            case 0x2569: return "SF400000";
            case 0x256A: return "SF540000";
            case 0x256B: return "SF530000";
            case 0x256C: return "SF440000";
            case 0x2580: return "upblock";
            case 0x2584: return "dnblock";
            case 0x2588: return "block";
            case 0x258C: return "lfblock";
            case 0x2590: return "rtblock";
            case 0x2591: return "shadelight";
            case 0x2592: return "shademedium";
            case 0x2593: return "shadedark";
            case 0x25A0: return "filledbox";
            case 0x25A1: return "whitesquare";
            case 0x25A3: return "squarewhitewithsmallblack";
            case 0x25A4: return "squarehorizontalfill";
            case 0x25A5: return "squareverticalfill";
            case 0x25A6: return "squareorthogonalcrosshatchfill";
            case 0x25A7: return "squareupperlefttolowerrightfill";
            case 0x25A8: return "squareupperrighttolowerleftfill";
            case 0x25A9: return "squarediagonalcrosshatchfill";
            case 0x25AA: return "blacksmallsquare";
            case 0x25AB: return "whitesmallsquare";
            case 0x25AC: return "filledrect";
            case 0x25B2: return "triagup";
            case 0x25B3: return "whiteuppointingtriangle";
            case 0x25B4: return "blackuppointingsmalltriangle";
            case 0x25B5: return "whiteuppointingsmalltriangle";
            case 0x25B6: return "blackrightpointingtriangle";
            case 0x25B7: return "whiterightpointingtriangle";
            case 0x25B9: return "whiterightpointingsmalltriangle";
            case 0x25BA: return "triagrt";
            case 0x25BC: return "triagdn";
            case 0x25BD: return "whitedownpointingtriangle";
            case 0x25BF: return "whitedownpointingsmalltriangle";
            case 0x25C0: return "blackleftpointingtriangle";
            case 0x25C1: return "whiteleftpointingtriangle";
            case 0x25C3: return "whiteleftpointingsmalltriangle";
            case 0x25C4: return "triaglf";
            case 0x25C6: return "blackdiamond";
            case 0x25C7: return "whitediamond";
            case 0x25C8: return "whitediamondcontainingblacksmalldiamond";
            case 0x25C9: return "fisheye";
            case 0x25CB: return "whitecircle";
            case 0x25CC: return "dottedcircle";
            case 0x25CE: return "bullseye";
            case 0x25CF: return "blackcircle";
            case 0x25D0: return "circlewithlefthalfblack";
            case 0x25D1: return "circlewithrighthalfblack";
            case 0x25D8: return "invbullet";
            case 0x25D9: return "whitecircleinverse";
            case 0x25E2: return "blacklowerrighttriangle";
            case 0x25E3: return "blacklowerlefttriangle";
            case 0x25E4: return "blackupperlefttriangle";
            case 0x25E5: return "blackupperrighttriangle";
            case 0x25E6: return "whitebullet";
            case 0x25EF: return "largecircle";
            case 0x2605: return "blackstar";
            case 0x2606: return "whitestar";
            case 0x260E: return "telephoneblack";
            case 0x260F: return "whitetelephone";
            case 0x261C: return "pointingindexleftwhite";
            case 0x261D: return "pointingindexupwhite";
            case 0x261E: return "pointingindexrightwhite";
            case 0x261F: return "pointingindexdownwhite";
            case 0x262F: return "yinyang";
            case 0x263A: return "whitesmilingface";
            case 0x263B: return "invsmileface";
            case 0x263C: return "sun";
            case 0x2640: return "venus";
            case 0x2641: return "earth";
            case 0x2642: return "mars";
            case 0x2661: return "heartsuitwhite";
            case 0x2662: return "diamondsuitwhite";
            case 0x2664: return "spadesuitwhite";
            case 0x2667: return "clubsuitwhite";
            case 0x2668: return "hotsprings";
            case 0x2669: return "quarternote";
            case 0x266A: return "musicalnote";
            case 0x266B: return "musicalnotedbl";
            case 0x266C: return "beamedsixteenthnotes";
            case 0x266D: return "musicflatsign";
            case 0x266F: return "musicsharpsign";
            case 0x2713: return "checkmark";
            case 0x278A: return "onecircleinversesansserif";
            case 0x278B: return "twocircleinversesansserif";
            case 0x278C: return "threecircleinversesansserif";
            case 0x278D: return "fourcircleinversesansserif";
            case 0x278E: return "fivecircleinversesansserif";
            case 0x278F: return "sixcircleinversesansserif";
            case 0x2790: return "sevencircleinversesansserif";
            case 0x2791: return "eightcircleinversesansserif";
            case 0x2792: return "ninecircleinversesansserif";
            case 0x279E: return "arrowrightheavy";
            case 0x3000: return "ideographicspace";
            case 0x3001: return "ideographiccomma";
            case 0x3002: return "ideographicperiod";
            case 0x3003: return "dittomark";
            case 0x3004: return "jis";
            case 0x3005: return "ideographiciterationmark";
            case 0x3006: return "ideographicclose";
            case 0x3007: return "ideographiczero";
            case 0x3008: return "anglebracketleft";
            case 0x3009: return "anglebracketright";
            case 0x300A: return "dblanglebracketleft";
            case 0x300B: return "dblanglebracketright";
            case 0x300C: return "cornerbracketleft";
            case 0x300D: return "cornerbracketright";
            case 0x300E: return "whitecornerbracketleft";
            case 0x300F: return "whitecornerbracketright";
            case 0x3010: return "blacklenticularbracketleft";
            case 0x3011: return "blacklenticularbracketright";
            case 0x3012: return "postalmark";
            case 0x3013: return "getamark";
            case 0x3014: return "tortoiseshellbracketleft";
            case 0x3015: return "tortoiseshellbracketright";
            case 0x3016: return "whitelenticularbracketleft";
            case 0x3017: return "whitelenticularbracketright";
            case 0x3018: return "whitetortoiseshellbracketleft";
            case 0x3019: return "whitetortoiseshellbracketright";
            case 0x301C: return "wavedash";
            case 0x301D: return "quotedblprimereversed";
            case 0x301E: return "quotedblprime";
            case 0x3020: return "postalmarkface";
            case 0x3021: return "onehangzhou";
            case 0x3022: return "twohangzhou";
            case 0x3023: return "threehangzhou";
            case 0x3024: return "fourhangzhou";
            case 0x3025: return "fivehangzhou";
            case 0x3026: return "sixhangzhou";
            case 0x3027: return "sevenhangzhou";
            case 0x3028: return "eighthangzhou";
            case 0x3029: return "ninehangzhou";
            case 0x3036: return "circlepostalmark";
            case 0x3041: return "asmallhiragana";
            case 0x3042: return "ahiragana";
            case 0x3043: return "ismallhiragana";
            case 0x3044: return "ihiragana";
            case 0x3045: return "usmallhiragana";
            case 0x3046: return "uhiragana";
            case 0x3047: return "esmallhiragana";
            case 0x3048: return "ehiragana";
            case 0x3049: return "osmallhiragana";
            case 0x304A: return "ohiragana";
            case 0x304B: return "kahiragana";
            case 0x304C: return "gahiragana";
            case 0x304D: return "kihiragana";
            case 0x304E: return "gihiragana";
            case 0x304F: return "kuhiragana";
            case 0x3050: return "guhiragana";
            case 0x3051: return "kehiragana";
            case 0x3052: return "gehiragana";
            case 0x3053: return "kohiragana";
            case 0x3054: return "gohiragana";
            case 0x3055: return "sahiragana";
            case 0x3056: return "zahiragana";
            case 0x3057: return "sihiragana";
            case 0x3058: return "zihiragana";
            case 0x3059: return "suhiragana";
            case 0x305A: return "zuhiragana";
            case 0x305B: return "sehiragana";
            case 0x305C: return "zehiragana";
            case 0x305D: return "sohiragana";
            case 0x305E: return "zohiragana";
            case 0x305F: return "tahiragana";
            case 0x3060: return "dahiragana";
            case 0x3061: return "tihiragana";
            case 0x3062: return "dihiragana";
            case 0x3063: return "tusmallhiragana";
            case 0x3064: return "tuhiragana";
            case 0x3065: return "duhiragana";
            case 0x3066: return "tehiragana";
            case 0x3067: return "dehiragana";
            case 0x3068: return "tohiragana";
            case 0x3069: return "dohiragana";
            case 0x306A: return "nahiragana";
            case 0x306B: return "nihiragana";
            case 0x306C: return "nuhiragana";
            case 0x306D: return "nehiragana";
            case 0x306E: return "nohiragana";
            case 0x306F: return "hahiragana";
            case 0x3070: return "bahiragana";
            case 0x3071: return "pahiragana";
            case 0x3072: return "hihiragana";
            case 0x3073: return "bihiragana";
            case 0x3074: return "pihiragana";
            case 0x3075: return "huhiragana";
            case 0x3076: return "buhiragana";
            case 0x3077: return "puhiragana";
            case 0x3078: return "hehiragana";
            case 0x3079: return "behiragana";
            case 0x307A: return "pehiragana";
            case 0x307B: return "hohiragana";
            case 0x307C: return "bohiragana";
            case 0x307D: return "pohiragana";
            case 0x307E: return "mahiragana";
            case 0x307F: return "mihiragana";
            case 0x3080: return "muhiragana";
            case 0x3081: return "mehiragana";
            case 0x3082: return "mohiragana";
            case 0x3083: return "yasmallhiragana";
            case 0x3084: return "yahiragana";
            case 0x3085: return "yusmallhiragana";
            case 0x3086: return "yuhiragana";
            case 0x3087: return "yosmallhiragana";
            case 0x3088: return "yohiragana";
            case 0x3089: return "rahiragana";
            case 0x308A: return "rihiragana";
            case 0x308B: return "ruhiragana";
            case 0x308C: return "rehiragana";
            case 0x308D: return "rohiragana";
            case 0x308E: return "wasmallhiragana";
            case 0x308F: return "wahiragana";
            case 0x3090: return "wihiragana";
            case 0x3091: return "wehiragana";
            case 0x3092: return "wohiragana";
            case 0x3093: return "nhiragana";
            case 0x3094: return "vuhiragana";
            case 0x309B: return "voicedmarkkana";
            case 0x309C: return "semivoicedmarkkana";
            case 0x309D: return "iterationhiragana";
            case 0x309E: return "voicediterationhiragana";
            case 0x30A1: return "asmallkatakana";
            case 0x30A2: return "akatakana";
            case 0x30A3: return "ismallkatakana";
            case 0x30A4: return "ikatakana";
            case 0x30A5: return "usmallkatakana";
            case 0x30A6: return "ukatakana";
            case 0x30A7: return "esmallkatakana";
            case 0x30A8: return "ekatakana";
            case 0x30A9: return "osmallkatakana";
            case 0x30AA: return "okatakana";
            case 0x30AB: return "kakatakana";
            case 0x30AC: return "gakatakana";
            case 0x30AD: return "kikatakana";
            case 0x30AE: return "gikatakana";
            case 0x30AF: return "kukatakana";
            case 0x30B0: return "gukatakana";
            case 0x30B1: return "kekatakana";
            case 0x30B2: return "gekatakana";
            case 0x30B3: return "kokatakana";
            case 0x30B4: return "gokatakana";
            case 0x30B5: return "sakatakana";
            case 0x30B6: return "zakatakana";
            case 0x30B7: return "sikatakana";
            case 0x30B8: return "zikatakana";
            case 0x30B9: return "sukatakana";
            case 0x30BA: return "zukatakana";
            case 0x30BB: return "sekatakana";
            case 0x30BC: return "zekatakana";
            case 0x30BD: return "sokatakana";
            case 0x30BE: return "zokatakana";
            case 0x30BF: return "takatakana";
            case 0x30C0: return "dakatakana";
            case 0x30C1: return "tikatakana";
            case 0x30C2: return "dikatakana";
            case 0x30C3: return "tusmallkatakana";
            case 0x30C4: return "tukatakana";
            case 0x30C5: return "dukatakana";
            case 0x30C6: return "tekatakana";
            case 0x30C7: return "dekatakana";
            case 0x30C8: return "tokatakana";
            case 0x30C9: return "dokatakana";
            case 0x30CA: return "nakatakana";
            case 0x30CB: return "nikatakana";
            case 0x30CC: return "nukatakana";
            case 0x30CD: return "nekatakana";
            case 0x30CE: return "nokatakana";
            case 0x30CF: return "hakatakana";
            case 0x30D0: return "bakatakana";
            case 0x30D1: return "pakatakana";
            case 0x30D2: return "hikatakana";
            case 0x30D3: return "bikatakana";
            case 0x30D4: return "pikatakana";
            case 0x30D5: return "hukatakana";
            case 0x30D6: return "bukatakana";
            case 0x30D7: return "pukatakana";
            case 0x30D8: return "hekatakana";
            case 0x30D9: return "bekatakana";
            case 0x30DA: return "pekatakana";
            case 0x30DB: return "hokatakana";
            case 0x30DC: return "bokatakana";
            case 0x30DD: return "pokatakana";
            case 0x30DE: return "makatakana";
            case 0x30DF: return "mikatakana";
            case 0x30E0: return "mukatakana";
            case 0x30E1: return "mekatakana";
            case 0x30E2: return "mokatakana";
            case 0x30E3: return "yasmallkatakana";
            case 0x30E4: return "yakatakana";
            case 0x30E5: return "yusmallkatakana";
            case 0x30E6: return "yukatakana";
            case 0x30E7: return "yosmallkatakana";
            case 0x30E8: return "yokatakana";
            case 0x30E9: return "rakatakana";
            case 0x30EA: return "rikatakana";
            case 0x30EB: return "rukatakana";
            case 0x30EC: return "rekatakana";
            case 0x30ED: return "rokatakana";
            case 0x30EE: return "wasmallkatakana";
            case 0x30EF: return "wakatakana";
            case 0x30F0: return "wikatakana";
            case 0x30F1: return "wekatakana";
            case 0x30F2: return "wokatakana";
            case 0x30F3: return "nkatakana";
            case 0x30F4: return "vukatakana";
            case 0x30F5: return "kasmallkatakana";
            case 0x30F6: return "kesmallkatakana";
            case 0x30F7: return "vakatakana";
            case 0x30F8: return "vikatakana";
            case 0x30F9: return "vekatakana";
            case 0x30FA: return "vokatakana";
            case 0x30FB: return "dotkatakana";
            case 0x30FC: return "prolongedkana";
            case 0x30FD: return "iterationkatakana";
            case 0x30FE: return "voicediterationkatakana";
            case 0x3105: return "bbopomofo";
            case 0x3106: return "pbopomofo";
            case 0x3107: return "mbopomofo";
            case 0x3108: return "fbopomofo";
            case 0x3109: return "dbopomofo";
            case 0x310A: return "tbopomofo";
            case 0x310B: return "nbopomofo";
            case 0x310C: return "lbopomofo";
            case 0x310D: return "gbopomofo";
            case 0x310E: return "kbopomofo";
            case 0x310F: return "hbopomofo";
            case 0x3110: return "jbopomofo";
            case 0x3111: return "qbopomofo";
            case 0x3112: return "xbopomofo";
            case 0x3113: return "zhbopomofo";
            case 0x3114: return "chbopomofo";
            case 0x3115: return "shbopomofo";
            case 0x3116: return "rbopomofo";
            case 0x3117: return "zbopomofo";
            case 0x3118: return "cbopomofo";
            case 0x3119: return "sbopomofo";
            case 0x311A: return "abopomofo";
            case 0x311B: return "obopomofo";
            case 0x311C: return "ebopomofo";
            case 0x311D: return "ehbopomofo";
            case 0x311E: return "aibopomofo";
            case 0x311F: return "eibopomofo";
            case 0x3120: return "aubopomofo";
            case 0x3121: return "oubopomofo";
            case 0x3122: return "anbopomofo";
            case 0x3123: return "enbopomofo";
            case 0x3124: return "angbopomofo";
            case 0x3125: return "engbopomofo";
            case 0x3126: return "erbopomofo";
            case 0x3127: return "ibopomofo";
            case 0x3128: return "ubopomofo";
            case 0x3129: return "iubopomofo";
            case 0x3131: return "kiyeokkorean";
            case 0x3132: return "ssangkiyeokkorean";
            case 0x3133: return "kiyeoksioskorean";
            case 0x3134: return "nieunkorean";
            case 0x3135: return "nieuncieuckorean";
            case 0x3136: return "nieunhieuhkorean";
            case 0x3137: return "tikeutkorean";
            case 0x3138: return "ssangtikeutkorean";
            case 0x3139: return "rieulkorean";
            case 0x313A: return "rieulkiyeokkorean";
            case 0x313B: return "rieulmieumkorean";
            case 0x313C: return "rieulpieupkorean";
            case 0x313D: return "rieulsioskorean";
            case 0x313E: return "rieulthieuthkorean";
            case 0x313F: return "rieulphieuphkorean";
            case 0x3140: return "rieulhieuhkorean";
            case 0x3141: return "mieumkorean";
            case 0x3142: return "pieupkorean";
            case 0x3143: return "ssangpieupkorean";
            case 0x3144: return "pieupsioskorean";
            case 0x3145: return "sioskorean";
            case 0x3146: return "ssangsioskorean";
            case 0x3147: return "ieungkorean";
            case 0x3148: return "cieuckorean";
            case 0x3149: return "ssangcieuckorean";
            case 0x314A: return "chieuchkorean";
            case 0x314B: return "khieukhkorean";
            case 0x314C: return "thieuthkorean";
            case 0x314D: return "phieuphkorean";
            case 0x314E: return "hieuhkorean";
            case 0x314F: return "akorean";
            case 0x3150: return "aekorean";
            case 0x3151: return "yakorean";
            case 0x3152: return "yaekorean";
            case 0x3153: return "eokorean";
            case 0x3154: return "ekorean";
            case 0x3155: return "yeokorean";
            case 0x3156: return "yekorean";
            case 0x3157: return "okorean";
            case 0x3158: return "wakorean";
            case 0x3159: return "waekorean";
            case 0x315A: return "oekorean";
            case 0x315B: return "yokorean";
            case 0x315C: return "ukorean";
            case 0x315D: return "weokorean";
            case 0x315E: return "wekorean";
            case 0x315F: return "wikorean";
            case 0x3160: return "yukorean";
            case 0x3161: return "eukorean";
            case 0x3162: return "yikorean";
            case 0x3163: return "ikorean";
            case 0x3164: return "hangulfiller";
            case 0x3165: return "ssangnieunkorean";
            case 0x3166: return "nieuntikeutkorean";
            case 0x3167: return "nieunsioskorean";
            case 0x3168: return "nieunpansioskorean";
            case 0x3169: return "rieulkiyeoksioskorean";
            case 0x316A: return "rieultikeutkorean";
            case 0x316B: return "rieulpieupsioskorean";
            case 0x316C: return "rieulpansioskorean";
            case 0x316D: return "rieulyeorinhieuhkorean";
            case 0x316E: return "mieumpieupkorean";
            case 0x316F: return "mieumsioskorean";
            case 0x3170: return "mieumpansioskorean";
            case 0x3171: return "kapyeounmieumkorean";
            case 0x3172: return "pieupkiyeokkorean";
            case 0x3173: return "pieuptikeutkorean";
            case 0x3174: return "pieupsioskiyeokkorean";
            case 0x3175: return "pieupsiostikeutkorean";
            case 0x3176: return "pieupcieuckorean";
            case 0x3177: return "pieupthieuthkorean";
            case 0x3178: return "kapyeounpieupkorean";
            case 0x3179: return "kapyeounssangpieupkorean";
            case 0x317A: return "sioskiyeokkorean";
            case 0x317B: return "siosnieunkorean";
            case 0x317C: return "siostikeutkorean";
            case 0x317D: return "siospieupkorean";
            case 0x317E: return "sioscieuckorean";
            case 0x317F: return "pansioskorean";
            case 0x3180: return "ssangieungkorean";
            case 0x3181: return "yesieungkorean";
            case 0x3182: return "yesieungsioskorean";
            case 0x3183: return "yesieungpansioskorean";
            case 0x3184: return "kapyeounphieuphkorean";
            case 0x3185: return "ssanghieuhkorean";
            case 0x3186: return "yeorinhieuhkorean";
            case 0x3187: return "yoyakorean";
            case 0x3188: return "yoyaekorean";
            case 0x3189: return "yoikorean";
            case 0x318A: return "yuyeokorean";
            case 0x318B: return "yuyekorean";
            case 0x318C: return "yuikorean";
            case 0x318D: return "araeakorean";
            case 0x318E: return "araeaekorean";
            case 0x3200: return "kiyeokparenkorean";
            case 0x3201: return "nieunparenkorean";
            case 0x3202: return "tikeutparenkorean";
            case 0x3203: return "rieulparenkorean";
            case 0x3204: return "mieumparenkorean";
            case 0x3205: return "pieupparenkorean";
            case 0x3206: return "siosparenkorean";
            case 0x3207: return "ieungparenkorean";
            case 0x3208: return "cieucparenkorean";
            case 0x3209: return "chieuchparenkorean";
            case 0x320A: return "khieukhparenkorean";
            case 0x320B: return "thieuthparenkorean";
            case 0x320C: return "phieuphparenkorean";
            case 0x320D: return "hieuhparenkorean";
            case 0x320E: return "kiyeokaparenkorean";
            case 0x320F: return "nieunaparenkorean";
            case 0x3210: return "tikeutaparenkorean";
            case 0x3211: return "rieulaparenkorean";
            case 0x3212: return "mieumaparenkorean";
            case 0x3213: return "pieupaparenkorean";
            case 0x3214: return "siosaparenkorean";
            case 0x3215: return "ieungaparenkorean";
            case 0x3216: return "cieucaparenkorean";
            case 0x3217: return "chieuchaparenkorean";
            case 0x3218: return "khieukhaparenkorean";
            case 0x3219: return "thieuthaparenkorean";
            case 0x321A: return "phieuphaparenkorean";
            case 0x321B: return "hieuhaparenkorean";
            case 0x321C: return "cieucuparenkorean";
            case 0x3220: return "oneideographicparen";
            case 0x3221: return "twoideographicparen";
            case 0x3222: return "threeideographicparen";
            case 0x3223: return "fourideographicparen";
            case 0x3224: return "fiveideographicparen";
            case 0x3225: return "sixideographicparen";
            case 0x3226: return "sevenideographicparen";
            case 0x3227: return "eightideographicparen";
            case 0x3228: return "nineideographicparen";
            case 0x3229: return "tenideographicparen";
            case 0x322A: return "ideographicmoonparen";
            case 0x322B: return "ideographicfireparen";
            case 0x322C: return "ideographicwaterparen";
            case 0x322D: return "ideographicwoodparen";
            case 0x322E: return "ideographicmetalparen";
            case 0x322F: return "ideographicearthparen";
            case 0x3230: return "ideographicsunparen";
            case 0x3231: return "ideographicstockparen";
            case 0x3232: return "ideographichaveparen";
            case 0x3233: return "ideographicsocietyparen";
            case 0x3234: return "ideographicnameparen";
            case 0x3235: return "ideographicspecialparen";
            case 0x3236: return "ideographicfinancialparen";
            case 0x3237: return "ideographiccongratulationparen";
            case 0x3238: return "ideographiclaborparen";
            case 0x3239: return "ideographicrepresentparen";
            case 0x323A: return "ideographiccallparen";
            case 0x323B: return "ideographicstudyparen";
            case 0x323C: return "ideographicsuperviseparen";
            case 0x323D: return "ideographicenterpriseparen";
            case 0x323E: return "ideographicresourceparen";
            case 0x323F: return "ideographicallianceparen";
            case 0x3240: return "ideographicfestivalparen";
            case 0x3242: return "ideographicselfparen";
            case 0x3243: return "ideographicreachparen";
            case 0x3260: return "kiyeokcirclekorean";
            case 0x3261: return "nieuncirclekorean";
            case 0x3262: return "tikeutcirclekorean";
            case 0x3263: return "rieulcirclekorean";
            case 0x3264: return "mieumcirclekorean";
            case 0x3265: return "pieupcirclekorean";
            case 0x3266: return "sioscirclekorean";
            case 0x3267: return "ieungcirclekorean";
            case 0x3268: return "cieuccirclekorean";
            case 0x3269: return "chieuchcirclekorean";
            case 0x326A: return "khieukhcirclekorean";
            case 0x326B: return "thieuthcirclekorean";
            case 0x326C: return "phieuphcirclekorean";
            case 0x326D: return "hieuhcirclekorean";
            case 0x326E: return "kiyeokacirclekorean";
            case 0x326F: return "nieunacirclekorean";
            case 0x3270: return "tikeutacirclekorean";
            case 0x3271: return "rieulacirclekorean";
            case 0x3272: return "mieumacirclekorean";
            case 0x3273: return "pieupacirclekorean";
            case 0x3274: return "siosacirclekorean";
            case 0x3275: return "ieungacirclekorean";
            case 0x3276: return "cieucacirclekorean";
            case 0x3277: return "chieuchacirclekorean";
            case 0x3278: return "khieukhacirclekorean";
            case 0x3279: return "thieuthacirclekorean";
            case 0x327A: return "phieuphacirclekorean";
            case 0x327B: return "hieuhacirclekorean";
            case 0x327F: return "koreanstandardsymbol";
            case 0x328A: return "ideographmooncircle";
            case 0x328B: return "ideographfirecircle";
            case 0x328C: return "ideographwatercircle";
            case 0x328D: return "ideographwoodcircle";
            case 0x328E: return "ideographmetalcircle";
            case 0x328F: return "ideographearthcircle";
            case 0x3290: return "ideographsuncircle";
            case 0x3294: return "ideographnamecircle";
            case 0x3296: return "ideographicfinancialcircle";
            case 0x3298: return "ideographiclaborcircle";
            case 0x3299: return "ideographicsecretcircle";
            case 0x329D: return "ideographicexcellentcircle";
            case 0x329E: return "ideographicprintcircle";
            case 0x32A3: return "ideographiccorrectcircle";
            case 0x32A4: return "ideographichighcircle";
            case 0x32A5: return "ideographiccentrecircle";
            case 0x32A6: return "ideographiclowcircle";
            case 0x32A7: return "ideographicleftcircle";
            case 0x32A8: return "ideographicrightcircle";
            case 0x32A9: return "ideographicmedicinecircle";
            case 0x3300: return "apaatosquare";
            case 0x3303: return "aarusquare";
            case 0x3305: return "intisquare";
            case 0x330D: return "karoriisquare";
            case 0x3314: return "kirosquare";
            case 0x3315: return "kiroguramusquare";
            case 0x3316: return "kiromeetorusquare";
            case 0x3318: return "guramusquare";
            case 0x331E: return "kooposquare";
            case 0x3322: return "sentisquare";
            case 0x3323: return "sentosquare";
            case 0x3326: return "dorusquare";
            case 0x3327: return "tonsquare";
            case 0x332A: return "haitusquare";
            case 0x332B: return "paasentosquare";
            case 0x3331: return "birusquare";
            case 0x3333: return "huiitosquare";
            case 0x3336: return "hekutaarusquare";
            case 0x3339: return "herutusquare";
            case 0x333B: return "peezisquare";
            case 0x3342: return "hoonsquare";
            case 0x3347: return "mansyonsquare";
            case 0x3349: return "mirisquare";
            case 0x334A: return "miribaarusquare";
            case 0x334D: return "meetorusquare";
            case 0x334E: return "yaadosquare";
            case 0x3351: return "rittorusquare";
            case 0x3357: return "wattosquare";
            case 0x337B: return "heiseierasquare";
            case 0x337C: return "syouwaerasquare";
            case 0x337D: return "taisyouerasquare";
            case 0x337E: return "meizierasquare";
            case 0x337F: return "corporationsquare";
            case 0x3380: return "paampssquare";
            case 0x3381: return "nasquare";
            case 0x3382: return "muasquare";
            case 0x3383: return "masquare";
            case 0x3384: return "kasquare";
            case 0x3385: return "KBsquare";
            case 0x3386: return "MBsquare";
            case 0x3387: return "GBsquare";
            case 0x3388: return "calsquare";
            case 0x3389: return "kcalsquare";
            case 0x338A: return "pfsquare";
            case 0x338B: return "nfsquare";
            case 0x338C: return "mufsquare";
            case 0x338D: return "mugsquare";
            case 0x338E: return "squaremg";
            case 0x338F: return "squarekg";
            case 0x3390: return "Hzsquare";
            case 0x3391: return "khzsquare";
            case 0x3392: return "mhzsquare";
            case 0x3393: return "ghzsquare";
            case 0x3394: return "thzsquare";
            case 0x3395: return "mulsquare";
            case 0x3396: return "mlsquare";
            case 0x3397: return "dlsquare";
            case 0x3398: return "klsquare";
            case 0x3399: return "fmsquare";
            case 0x339A: return "nmsquare";
            case 0x339B: return "mumsquare";
            case 0x339C: return "squaremm";
            case 0x339D: return "squarecm";
            case 0x339E: return "squarekm";
            case 0x339F: return "mmsquaredsquare";
            case 0x33A0: return "cmsquaredsquare";
            case 0x33A1: return "squaremsquared";
            case 0x33A2: return "kmsquaredsquare";
            case 0x33A3: return "mmcubedsquare";
            case 0x33A4: return "cmcubedsquare";
            case 0x33A5: return "mcubedsquare";
            case 0x33A6: return "kmcubedsquare";
            case 0x33A7: return "moverssquare";
            case 0x33A8: return "moverssquaredsquare";
            case 0x33A9: return "pasquare";
            case 0x33AA: return "kpasquare";
            case 0x33AB: return "mpasquare";
            case 0x33AC: return "gpasquare";
            case 0x33AD: return "radsquare";
            case 0x33AE: return "radoverssquare";
            case 0x33AF: return "radoverssquaredsquare";
            case 0x33B0: return "pssquare";
            case 0x33B1: return "nssquare";
            case 0x33B2: return "mussquare";
            case 0x33B3: return "mssquare";
            case 0x33B4: return "pvsquare";
            case 0x33B5: return "nvsquare";
            case 0x33B6: return "muvsquare";
            case 0x33B7: return "mvsquare";
            case 0x33B8: return "kvsquare";
            case 0x33B9: return "mvmegasquare";
            case 0x33BA: return "pwsquare";
            case 0x33BB: return "nwsquare";
            case 0x33BC: return "muwsquare";
            case 0x33BD: return "mwsquare";
            case 0x33BE: return "kwsquare";
            case 0x33BF: return "mwmegasquare";
            case 0x33C0: return "kohmsquare";
            case 0x33C1: return "mohmsquare";
            case 0x33C2: return "amsquare";
            case 0x33C3: return "bqsquare";
            case 0x33C4: return "squarecc";
            case 0x33C5: return "cdsquare";
            case 0x33C6: return "coverkgsquare";
            case 0x33C7: return "cosquare";
            case 0x33C8: return "dbsquare";
            case 0x33C9: return "gysquare";
            case 0x33CA: return "hasquare";
            case 0x33CB: return "HPsquare";
            case 0x33CD: return "KKsquare";
            case 0x33CE: return "squarekmcapital";
            case 0x33CF: return "ktsquare";
            case 0x33D0: return "lmsquare";
            case 0x33D1: return "squareln";
            case 0x33D2: return "squarelog";
            case 0x33D3: return "lxsquare";
            case 0x33D4: return "mbsquare";
            case 0x33D5: return "squaremil";
            case 0x33D6: return "molsquare";
            case 0x33D8: return "pmsquare";
            case 0x33DB: return "srsquare";
            case 0x33DC: return "svsquare";
            case 0x33DD: return "wbsquare";
            case 0x5344: return "twentyhangzhou";
            case 0xF6BE: return "dotlessj";
            case 0xF6BF: return "LL";
            case 0xF6C0: return "ll";
            case 0xF6C3: return "commaaccent";
            case 0xF6C4: return "afii10063";
            case 0xF6C5: return "afii10064";
            case 0xF6C6: return "afii10192";
            case 0xF6C7: return "afii10831";
            case 0xF6C8: return "afii10832";
            case 0xF6C9: return "Acute";
            case 0xF6CA: return "Caron";
            case 0xF6CB: return "Dieresis";
            case 0xF6CC: return "DieresisAcute";
            case 0xF6CD: return "DieresisGrave";
            case 0xF6CE: return "Grave";
            case 0xF6CF: return "Hungarumlaut";
            case 0xF6D0: return "Macron";
            case 0xF6D1: return "cyrBreve";
            case 0xF6D2: return "cyrFlex";
            case 0xF6D3: return "dblGrave";
            case 0xF6D4: return "cyrbreve";
            case 0xF6D5: return "cyrflex";
            case 0xF6D6: return "dblgrave";
            case 0xF6D7: return "dieresisacute";
            case 0xF6D8: return "dieresisgrave";
            case 0xF6D9: return "copyrightserif";
            case 0xF6DA: return "registerserif";
            case 0xF6DB: return "trademarkserif";
            case 0xF6DC: return "onefitted";
            case 0xF6DD: return "rupiah";
            case 0xF6DE: return "threequartersemdash";
            case 0xF6DF: return "centinferior";
            case 0xF6E0: return "centsuperior";
            case 0xF6E1: return "commainferior";
            case 0xF6E2: return "commasuperior";
            case 0xF6E3: return "dollarinferior";
            case 0xF6E4: return "dollarsuperior";
            case 0xF6E5: return "hypheninferior";
            case 0xF6E6: return "hyphensuperior";
            case 0xF6E7: return "periodinferior";
            case 0xF6E8: return "periodsuperior";
            case 0xF6E9: return "asuperior";
            case 0xF6EA: return "bsuperior";
            case 0xF6EB: return "dsuperior";
            case 0xF6EC: return "esuperior";
            case 0xF6ED: return "isuperior";
            case 0xF6EE: return "lsuperior";
            case 0xF6EF: return "msuperior";
            case 0xF6F0: return "osuperior";
            case 0xF6F1: return "rsuperior";
            case 0xF6F2: return "ssuperior";
            case 0xF6F3: return "tsuperior";
            case 0xF6F4: return "Brevesmall";
            case 0xF6F5: return "Caronsmall";
            case 0xF6F6: return "Circumflexsmall";
            case 0xF6F7: return "Dotaccentsmall";
            case 0xF6F8: return "Hungarumlautsmall";
            case 0xF6F9: return "Lslashsmall";
            case 0xF6FA: return "OEsmall";
            case 0xF6FB: return "Ogoneksmall";
            case 0xF6FC: return "Ringsmall";
            case 0xF6FD: return "Scaronsmall";
            case 0xF6FE: return "Tildesmall";
            case 0xF6FF: return "Zcaronsmall";
            case 0xF721: return "exclamsmall";
            case 0xF724: return "dollaroldstyle";
            case 0xF726: return "ampersandsmall";
            case 0xF730: return "zerooldstyle";
            case 0xF731: return "oneoldstyle";
            case 0xF732: return "twooldstyle";
            case 0xF733: return "threeoldstyle";
            case 0xF734: return "fouroldstyle";
            case 0xF735: return "fiveoldstyle";
            case 0xF736: return "sixoldstyle";
            case 0xF737: return "sevenoldstyle";
            case 0xF738: return "eightoldstyle";
            case 0xF739: return "nineoldstyle";
            case 0xF73F: return "questionsmall";
            case 0xF760: return "Gravesmall";
            case 0xF761: return "Asmall";
            case 0xF762: return "Bsmall";
            case 0xF763: return "Csmall";
            case 0xF764: return "Dsmall";
            case 0xF765: return "Esmall";
            case 0xF766: return "Fsmall";
            case 0xF767: return "Gsmall";
            case 0xF768: return "Hsmall";
            case 0xF769: return "Ismall";
            case 0xF76A: return "Jsmall";
            case 0xF76B: return "Ksmall";
            case 0xF76C: return "Lsmall";
            case 0xF76D: return "Msmall";
            case 0xF76E: return "Nsmall";
            case 0xF76F: return "Osmall";
            case 0xF770: return "Psmall";
            case 0xF771: return "Qsmall";
            case 0xF772: return "Rsmall";
            case 0xF773: return "Ssmall";
            case 0xF774: return "Tsmall";
            case 0xF775: return "Usmall";
            case 0xF776: return "Vsmall";
            case 0xF777: return "Wsmall";
            case 0xF778: return "Xsmall";
            case 0xF779: return "Ysmall";
            case 0xF77A: return "Zsmall";
            case 0xF7A1: return "exclamdownsmall";
            case 0xF7A2: return "centoldstyle";
            case 0xF7A8: return "Dieresissmall";
            case 0xF7AF: return "Macronsmall";
            case 0xF7B4: return "Acutesmall";
            case 0xF7B8: return "Cedillasmall";
            case 0xF7BF: return "questiondownsmall";
            case 0xF7E0: return "Agravesmall";
            case 0xF7E1: return "Aacutesmall";
            case 0xF7E2: return "Acircumflexsmall";
            case 0xF7E3: return "Atildesmall";
            case 0xF7E4: return "Adieresissmall";
            case 0xF7E5: return "Aringsmall";
            case 0xF7E6: return "AEsmall";
            case 0xF7E7: return "Ccedillasmall";
            case 0xF7E8: return "Egravesmall";
            case 0xF7E9: return "Eacutesmall";
            case 0xF7EA: return "Ecircumflexsmall";
            case 0xF7EB: return "Edieresissmall";
            case 0xF7EC: return "Igravesmall";
            case 0xF7ED: return "Iacutesmall";
            case 0xF7EE: return "Icircumflexsmall";
            case 0xF7EF: return "Idieresissmall";
            case 0xF7F0: return "Ethsmall";
            case 0xF7F1: return "Ntildesmall";
            case 0xF7F2: return "Ogravesmall";
            case 0xF7F3: return "Oacutesmall";
            case 0xF7F4: return "Ocircumflexsmall";
            case 0xF7F5: return "Otildesmall";
            case 0xF7F6: return "Odieresissmall";
            case 0xF7F8: return "Oslashsmall";
            case 0xF7F9: return "Ugravesmall";
            case 0xF7FA: return "Uacutesmall";
            case 0xF7FB: return "Ucircumflexsmall";
            case 0xF7FC: return "Udieresissmall";
            case 0xF7FD: return "Yacutesmall";
            case 0xF7FE: return "Thornsmall";
            case 0xF7FF: return "Ydieresissmall";
            case 0xF884: return "maihanakatleftthai";
            case 0xF885: return "saraileftthai";
            case 0xF886: return "saraiileftthai";
            case 0xF887: return "saraueleftthai";
            case 0xF888: return "saraueeleftthai";
            case 0xF889: return "maitaikhuleftthai";
            case 0xF88A: return "maiekupperleftthai";
            case 0xF88B: return "maieklowrightthai";
            case 0xF88C: return "maieklowleftthai";
            case 0xF88D: return "maithoupperleftthai";
            case 0xF88E: return "maitholowrightthai";
            case 0xF88F: return "maitholowleftthai";
            case 0xF890: return "maitriupperleftthai";
            case 0xF891: return "maitrilowrightthai";
            case 0xF892: return "maitrilowleftthai";
            case 0xF893: return "maichattawaupperleftthai";
            case 0xF894: return "maichattawalowrightthai";
            case 0xF895: return "maichattawalowleftthai";
            case 0xF896: return "thanthakhatupperleftthai";
            case 0xF897: return "thanthakhatlowrightthai";
            case 0xF898: return "thanthakhatlowleftthai";
            case 0xF899: return "nikhahitleftthai";
            case 0xF8E5: return "radicalex";
            case 0xF8E6: return "arrowvertex";
            case 0xF8E7: return "arrowhorizex";
            case 0xF8E8: return "registersans";
            case 0xF8E9: return "copyrightsans";
            case 0xF8EA: return "trademarksans";
            case 0xF8EB: return "parenlefttp";
            case 0xF8EC: return "parenleftex";
            case 0xF8ED: return "parenleftbt";
            case 0xF8EE: return "bracketlefttp";
            case 0xF8EF: return "bracketleftex";
            case 0xF8F0: return "bracketleftbt";
            case 0xF8F1: return "bracelefttp";
            case 0xF8F2: return "braceleftmid";
            case 0xF8F3: return "braceleftbt";
            case 0xF8F4: return "braceex";
            case 0xF8F5: return "integralex";
            case 0xF8F6: return "parenrighttp";
            case 0xF8F7: return "parenrightex";
            case 0xF8F8: return "parenrightbt";
            case 0xF8F9: return "bracketrighttp";
            case 0xF8FA: return "bracketrightex";
            case 0xF8FB: return "bracketrightbt";
            case 0xF8FC: return "bracerighttp";
            case 0xF8FD: return "bracerightmid";
            case 0xF8FE: return "bracerightbt";
            case 0xF8FF: return "apple";
            case 0xFB00: return "ff";
            case 0xFB01: return "fi";
            case 0xFB02: return "fl";
            case 0xFB03: return "ffi";
            case 0xFB04: return "ffl";
            case 0xFB1F: return "yodyodpatahhebrew";
            case 0xFB20: return "ayinaltonehebrew";
            case 0xFB2A: return "shinshindothebrew";
            case 0xFB2B: return "shinsindothebrew";
            case 0xFB2C: return "shindageshshindothebrew";
            case 0xFB2D: return "shindageshsindothebrew";
            case 0xFB2E: return "alefpatahhebrew";
            case 0xFB2F: return "alefqamatshebrew";
            case 0xFB30: return "alefdageshhebrew";
            case 0xFB31: return "betdageshhebrew";
            case 0xFB32: return "gimeldageshhebrew";
            case 0xFB33: return "daletdageshhebrew";
            case 0xFB34: return "hedageshhebrew";
            case 0xFB35: return "vavdageshhebrew";
            case 0xFB36: return "zayindageshhebrew";
            case 0xFB38: return "tetdageshhebrew";
            case 0xFB39: return "yoddageshhebrew";
            case 0xFB3A: return "finalkafdageshhebrew";
            case 0xFB3B: return "kafdageshhebrew";
            case 0xFB3C: return "lameddageshhebrew";
            case 0xFB3E: return "memdageshhebrew";
            case 0xFB40: return "nundageshhebrew";
            case 0xFB41: return "samekhdageshhebrew";
            case 0xFB43: return "pefinaldageshhebrew";
            case 0xFB44: return "pedageshhebrew";
            case 0xFB46: return "tsadidageshhebrew";
            case 0xFB47: return "qofdageshhebrew";
            case 0xFB48: return "reshdageshhebrew";
            case 0xFB49: return "shindageshhebrew";
            case 0xFB4A: return "tavdageshhebrew";
            case 0xFB4B: return "vavholamhebrew";
            case 0xFB4C: return "betrafehebrew";
            case 0xFB4D: return "kafrafehebrew";
            case 0xFB4E: return "perafehebrew";
            case 0xFB4F: return "aleflamedhebrew";
            case 0xFB57: return "pehfinalarabic";
            case 0xFB58: return "pehinitialarabic";
            case 0xFB59: return "pehmedialarabic";
            case 0xFB67: return "ttehfinalarabic";
            case 0xFB68: return "ttehinitialarabic";
            case 0xFB69: return "ttehmedialarabic";
            case 0xFB6B: return "vehfinalarabic";
            case 0xFB6C: return "vehinitialarabic";
            case 0xFB6D: return "vehmedialarabic";
            case 0xFB7B: return "tchehfinalarabic";
            case 0xFB7C: return "tchehmeeminitialarabic";
            case 0xFB7D: return "tchehmedialarabic";
            case 0xFB89: return "ddalfinalarabic";
            case 0xFB8B: return "jehfinalarabic";
            case 0xFB8D: return "rrehfinalarabic";
            case 0xFB93: return "gaffinalarabic";
            case 0xFB94: return "gafinitialarabic";
            case 0xFB95: return "gafmedialarabic";
            case 0xFB9F: return "noonghunnafinalarabic";
            case 0xFBA4: return "hehhamzaaboveisolatedarabic";
            case 0xFBA5: return "hehhamzaabovefinalarabic";
            case 0xFBA7: return "hehfinalaltonearabic";
            case 0xFBA8: return "hehinitialaltonearabic";
            case 0xFBA9: return "hehmedialaltonearabic";
            case 0xFBAF: return "yehbarreefinalarabic";
            case 0xFC08: return "behmeemisolatedarabic";
            case 0xFC0B: return "tehjeemisolatedarabic";
            case 0xFC0C: return "tehhahisolatedarabic";
            case 0xFC0E: return "tehmeemisolatedarabic";
            case 0xFC48: return "meemmeemisolatedarabic";
            case 0xFC4B: return "noonjeemisolatedarabic";
            case 0xFC4E: return "noonmeemisolatedarabic";
            case 0xFC58: return "yehmeemisolatedarabic";
            case 0xFC5E: return "shaddadammatanarabic";
            case 0xFC5F: return "shaddakasratanarabic";
            case 0xFC60: return "shaddafathaarabic";
            case 0xFC61: return "shaddadammaarabic";
            case 0xFC62: return "shaddakasraarabic";
            case 0xFC6D: return "behnoonfinalarabic";
            case 0xFC73: return "tehnoonfinalarabic";
            case 0xFC8D: return "noonnoonfinalarabic";
            case 0xFC94: return "yehnoonfinalarabic";
            case 0xFC9F: return "behmeeminitialarabic";
            case 0xFCA1: return "tehjeeminitialarabic";
            case 0xFCA2: return "tehhahinitialarabic";
            case 0xFCA4: return "tehmeeminitialarabic";
            case 0xFCC9: return "lamjeeminitialarabic";
            case 0xFCCA: return "lamhahinitialarabic";
            case 0xFCCB: return "lamkhahinitialarabic";
            case 0xFCCC: return "lammeeminitialarabic";
            case 0xFCD1: return "meemmeeminitialarabic";
            case 0xFCD2: return "noonjeeminitialarabic";
            case 0xFCD5: return "noonmeeminitialarabic";
            case 0xFCDD: return "yehmeeminitialarabic";
            case 0xFD3E: return "parenleftaltonearabic";
            case 0xFD3F: return "parenrightaltonearabic";
            case 0xFD88: return "lammeemhahinitialarabic";
            case 0xFDF2: return "lamlamhehisolatedarabic";
            case 0xFDFA: return "sallallahoualayhewasallamarabic";
            case 0xFE30: return "twodotleadervertical";
            case 0xFE31: return "emdashvertical";
            case 0xFE32: return "endashvertical";
            case 0xFE33: return "underscorevertical";
            case 0xFE34: return "wavyunderscorevertical";
            case 0xFE35: return "parenleftvertical";
            case 0xFE36: return "parenrightvertical";
            case 0xFE37: return "braceleftvertical";
            case 0xFE38: return "bracerightvertical";
            case 0xFE39: return "tortoiseshellbracketleftvertical";
            case 0xFE3A: return "tortoiseshellbracketrightvertical";
            case 0xFE3B: return "blacklenticularbracketleftvertical";
            case 0xFE3C: return "blacklenticularbracketrightvertical";
            case 0xFE3D: return "dblanglebracketleftvertical";
            case 0xFE3E: return "dblanglebracketrightvertical";
            case 0xFE3F: return "anglebracketleftvertical";
            case 0xFE40: return "anglebracketrightvertical";
            case 0xFE41: return "cornerbracketleftvertical";
            case 0xFE42: return "cornerbracketrightvertical";
            case 0xFE43: return "whitecornerbracketleftvertical";
            case 0xFE44: return "whitecornerbracketrightvertical";
            case 0xFE49: return "overlinedashed";
            case 0xFE4A: return "overlinecenterline";
            case 0xFE4B: return "overlinewavy";
            case 0xFE4C: return "overlinedblwavy";
            case 0xFE4D: return "lowlinedashed";
            case 0xFE4E: return "lowlinecenterline";
            case 0xFE4F: return "underscorewavy";
            case 0xFE50: return "commasmall";
            case 0xFE52: return "periodsmall";
            case 0xFE54: return "semicolonsmall";
            case 0xFE55: return "colonsmall";
            case 0xFE59: return "parenleftsmall";
            case 0xFE5A: return "parenrightsmall";
            case 0xFE5B: return "braceleftsmall";
            case 0xFE5C: return "bracerightsmall";
            case 0xFE5D: return "tortoiseshellbracketleftsmall";
            case 0xFE5E: return "tortoiseshellbracketrightsmall";
            case 0xFE5F: return "numbersignsmall";
            case 0xFE61: return "asterisksmall";
            case 0xFE62: return "plussmall";
            case 0xFE63: return "hyphensmall";
            case 0xFE64: return "lesssmall";
            case 0xFE65: return "greatersmall";
            case 0xFE66: return "equalsmall";
            case 0xFE69: return "dollarsmall";
            case 0xFE6A: return "percentsmall";
            case 0xFE6B: return "atsmall";
            case 0xFE82: return "alefmaddaabovefinalarabic";
            case 0xFE84: return "alefhamzaabovefinalarabic";
            case 0xFE86: return "wawhamzaabovefinalarabic";
            case 0xFE88: return "alefhamzabelowfinalarabic";
            case 0xFE8A: return "yehhamzaabovefinalarabic";
            case 0xFE8B: return "yehhamzaaboveinitialarabic";
            case 0xFE8C: return "yehhamzaabovemedialarabic";
            case 0xFE8E: return "aleffinalarabic";
            case 0xFE90: return "behfinalarabic";
            case 0xFE91: return "behinitialarabic";
            case 0xFE92: return "behmedialarabic";
            case 0xFE94: return "tehmarbutafinalarabic";
            case 0xFE96: return "tehfinalarabic";
            case 0xFE97: return "tehinitialarabic";
            case 0xFE98: return "tehmedialarabic";
            case 0xFE9A: return "thehfinalarabic";
            case 0xFE9B: return "thehinitialarabic";
            case 0xFE9C: return "thehmedialarabic";
            case 0xFE9E: return "jeemfinalarabic";
            case 0xFE9F: return "jeeminitialarabic";
            case 0xFEA0: return "jeemmedialarabic";
            case 0xFEA2: return "hahfinalarabic";
            case 0xFEA3: return "hahinitialarabic";
            case 0xFEA4: return "hahmedialarabic";
            case 0xFEA6: return "khahfinalarabic";
            case 0xFEA7: return "khahinitialarabic";
            case 0xFEA8: return "khahmedialarabic";
            case 0xFEAA: return "dalfinalarabic";
            case 0xFEAC: return "thalfinalarabic";
            case 0xFEAE: return "rehfinalarabic";
            case 0xFEB0: return "zainfinalarabic";
            case 0xFEB2: return "seenfinalarabic";
            case 0xFEB3: return "seeninitialarabic";
            case 0xFEB4: return "seenmedialarabic";
            case 0xFEB6: return "sheenfinalarabic";
            case 0xFEB7: return "sheeninitialarabic";
            case 0xFEB8: return "sheenmedialarabic";
            case 0xFEBA: return "sadfinalarabic";
            case 0xFEBB: return "sadinitialarabic";
            case 0xFEBC: return "sadmedialarabic";
            case 0xFEBE: return "dadfinalarabic";
            case 0xFEBF: return "dadinitialarabic";
            case 0xFEC0: return "dadmedialarabic";
            case 0xFEC2: return "tahfinalarabic";
            case 0xFEC3: return "tahinitialarabic";
            case 0xFEC4: return "tahmedialarabic";
            case 0xFEC6: return "zahfinalarabic";
            case 0xFEC7: return "zahinitialarabic";
            case 0xFEC8: return "zahmedialarabic";
            case 0xFECA: return "ainfinalarabic";
            case 0xFECB: return "aininitialarabic";
            case 0xFECC: return "ainmedialarabic";
            case 0xFECE: return "ghainfinalarabic";
            case 0xFECF: return "ghaininitialarabic";
            case 0xFED0: return "ghainmedialarabic";
            case 0xFED2: return "fehfinalarabic";
            case 0xFED3: return "fehinitialarabic";
            case 0xFED4: return "fehmedialarabic";
            case 0xFED6: return "qaffinalarabic";
            case 0xFED7: return "qafinitialarabic";
            case 0xFED8: return "qafmedialarabic";
            case 0xFEDA: return "kaffinalarabic";
            case 0xFEDB: return "kafinitialarabic";
            case 0xFEDC: return "kafmedialarabic";
            case 0xFEDE: return "lamfinalarabic";
            case 0xFEDF: return "lammeemkhahinitialarabic";
            case 0xFEE0: return "lammedialarabic";
            case 0xFEE2: return "meemfinalarabic";
            case 0xFEE3: return "meeminitialarabic";
            case 0xFEE4: return "meemmedialarabic";
            case 0xFEE6: return "noonfinalarabic";
            case 0xFEE7: return "noonhehinitialarabic";
            case 0xFEE8: return "noonmedialarabic";
            case 0xFEEA: return "hehfinalarabic";
            case 0xFEEB: return "hehinitialarabic";
            case 0xFEEC: return "hehmedialarabic";
            case 0xFEEE: return "wawfinalarabic";
            case 0xFEF0: return "alefmaksurafinalarabic";
            case 0xFEF2: return "yehfinalarabic";
            case 0xFEF3: return "yehinitialarabic";
            case 0xFEF4: return "yehmedialarabic";
            case 0xFEF5: return "lamalefmaddaaboveisolatedarabic";
            case 0xFEF6: return "lamalefmaddaabovefinalarabic";
            case 0xFEF7: return "lamalefhamzaaboveisolatedarabic";
            case 0xFEF8: return "lamalefhamzaabovefinalarabic";
            case 0xFEF9: return "lamalefhamzabelowisolatedarabic";
            case 0xFEFA: return "lamalefhamzabelowfinalarabic";
            case 0xFEFB: return "lamalefisolatedarabic";
            case 0xFEFC: return "lamaleffinalarabic";
            case 0xFEFF: return "zerowidthjoiner";
            case 0xFF01: return "exclammonospace";
            case 0xFF02: return "quotedblmonospace";
            case 0xFF03: return "numbersignmonospace";
            case 0xFF04: return "dollarmonospace";
            case 0xFF05: return "percentmonospace";
            case 0xFF06: return "ampersandmonospace";
            case 0xFF07: return "quotesinglemonospace";
            case 0xFF08: return "parenleftmonospace";
            case 0xFF09: return "parenrightmonospace";
            case 0xFF0A: return "asteriskmonospace";
            case 0xFF0B: return "plusmonospace";
            case 0xFF0C: return "commamonospace";
            case 0xFF0D: return "hyphenmonospace";
            case 0xFF0E: return "periodmonospace";
            case 0xFF0F: return "slashmonospace";
            case 0xFF10: return "zeromonospace";
            case 0xFF11: return "onemonospace";
            case 0xFF12: return "twomonospace";
            case 0xFF13: return "threemonospace";
            case 0xFF14: return "fourmonospace";
            case 0xFF15: return "fivemonospace";
            case 0xFF16: return "sixmonospace";
            case 0xFF17: return "sevenmonospace";
            case 0xFF18: return "eightmonospace";
            case 0xFF19: return "ninemonospace";
            case 0xFF1A: return "colonmonospace";
            case 0xFF1B: return "semicolonmonospace";
            case 0xFF1C: return "lessmonospace";
            case 0xFF1D: return "equalmonospace";
            case 0xFF1E: return "greatermonospace";
            case 0xFF1F: return "questionmonospace";
            case 0xFF20: return "atmonospace";
            case 0xFF21: return "Amonospace";
            case 0xFF22: return "Bmonospace";
            case 0xFF23: return "Cmonospace";
            case 0xFF24: return "Dmonospace";
            case 0xFF25: return "Emonospace";
            case 0xFF26: return "Fmonospace";
            case 0xFF27: return "Gmonospace";
            case 0xFF28: return "Hmonospace";
            case 0xFF29: return "Imonospace";
            case 0xFF2A: return "Jmonospace";
            case 0xFF2B: return "Kmonospace";
            case 0xFF2C: return "Lmonospace";
            case 0xFF2D: return "Mmonospace";
            case 0xFF2E: return "Nmonospace";
            case 0xFF2F: return "Omonospace";
            case 0xFF30: return "Pmonospace";
            case 0xFF31: return "Qmonospace";
            case 0xFF32: return "Rmonospace";
            case 0xFF33: return "Smonospace";
            case 0xFF34: return "Tmonospace";
            case 0xFF35: return "Umonospace";
            case 0xFF36: return "Vmonospace";
            case 0xFF37: return "Wmonospace";
            case 0xFF38: return "Xmonospace";
            case 0xFF39: return "Ymonospace";
            case 0xFF3A: return "Zmonospace";
            case 0xFF3B: return "bracketleftmonospace";
            case 0xFF3C: return "backslashmonospace";
            case 0xFF3D: return "bracketrightmonospace";
            case 0xFF3E: return "asciicircummonospace";
            case 0xFF3F: return "underscoremonospace";
            case 0xFF40: return "gravemonospace";
            case 0xFF41: return "amonospace";
            case 0xFF42: return "bmonospace";
            case 0xFF43: return "cmonospace";
            case 0xFF44: return "dmonospace";
            case 0xFF45: return "emonospace";
            case 0xFF46: return "fmonospace";
            case 0xFF47: return "gmonospace";
            case 0xFF48: return "hmonospace";
            case 0xFF49: return "imonospace";
            case 0xFF4A: return "jmonospace";
            case 0xFF4B: return "kmonospace";
            case 0xFF4C: return "lmonospace";
            case 0xFF4D: return "mmonospace";
            case 0xFF4E: return "nmonospace";
            case 0xFF4F: return "omonospace";
            case 0xFF50: return "pmonospace";
            case 0xFF51: return "qmonospace";
            case 0xFF52: return "rmonospace";
            case 0xFF53: return "smonospace";
            case 0xFF54: return "tmonospace";
            case 0xFF55: return "umonospace";
            case 0xFF56: return "vmonospace";
            case 0xFF57: return "wmonospace";
            case 0xFF58: return "xmonospace";
            case 0xFF59: return "ymonospace";
            case 0xFF5A: return "zmonospace";
            case 0xFF5B: return "braceleftmonospace";
            case 0xFF5C: return "barmonospace";
            case 0xFF5D: return "bracerightmonospace";
            case 0xFF5E: return "asciitildemonospace";
            case 0xFF61: return "periodhalfwidth";
            case 0xFF62: return "cornerbracketlefthalfwidth";
            case 0xFF63: return "cornerbracketrighthalfwidth";
            case 0xFF64: return "ideographiccommaleft";
            case 0xFF65: return "middledotkatakanahalfwidth";
            case 0xFF66: return "wokatakanahalfwidth";
            case 0xFF67: return "asmallkatakanahalfwidth";
            case 0xFF68: return "ismallkatakanahalfwidth";
            case 0xFF69: return "usmallkatakanahalfwidth";
            case 0xFF6A: return "esmallkatakanahalfwidth";
            case 0xFF6B: return "osmallkatakanahalfwidth";
            case 0xFF6C: return "yasmallkatakanahalfwidth";
            case 0xFF6D: return "yusmallkatakanahalfwidth";
            case 0xFF6E: return "yosmallkatakanahalfwidth";
            case 0xFF6F: return "tusmallkatakanahalfwidth";
            case 0xFF70: return "katahiraprolongmarkhalfwidth";
            case 0xFF71: return "akatakanahalfwidth";
            case 0xFF72: return "ikatakanahalfwidth";
            case 0xFF73: return "ukatakanahalfwidth";
            case 0xFF74: return "ekatakanahalfwidth";
            case 0xFF75: return "okatakanahalfwidth";
            case 0xFF76: return "kakatakanahalfwidth";
            case 0xFF77: return "kikatakanahalfwidth";
            case 0xFF78: return "kukatakanahalfwidth";
            case 0xFF79: return "kekatakanahalfwidth";
            case 0xFF7A: return "kokatakanahalfwidth";
            case 0xFF7B: return "sakatakanahalfwidth";
            case 0xFF7C: return "sikatakanahalfwidth";
            case 0xFF7D: return "sukatakanahalfwidth";
            case 0xFF7E: return "sekatakanahalfwidth";
            case 0xFF7F: return "sokatakanahalfwidth";
            case 0xFF80: return "takatakanahalfwidth";
            case 0xFF81: return "tikatakanahalfwidth";
            case 0xFF82: return "tukatakanahalfwidth";
            case 0xFF83: return "tekatakanahalfwidth";
            case 0xFF84: return "tokatakanahalfwidth";
            case 0xFF85: return "nakatakanahalfwidth";
            case 0xFF86: return "nikatakanahalfwidth";
            case 0xFF87: return "nukatakanahalfwidth";
            case 0xFF88: return "nekatakanahalfwidth";
            case 0xFF89: return "nokatakanahalfwidth";
            case 0xFF8A: return "hakatakanahalfwidth";
            case 0xFF8B: return "hikatakanahalfwidth";
            case 0xFF8C: return "hukatakanahalfwidth";
            case 0xFF8D: return "hekatakanahalfwidth";
            case 0xFF8E: return "hokatakanahalfwidth";
            case 0xFF8F: return "makatakanahalfwidth";
            case 0xFF90: return "mikatakanahalfwidth";
            case 0xFF91: return "mukatakanahalfwidth";
            case 0xFF92: return "mekatakanahalfwidth";
            case 0xFF93: return "mokatakanahalfwidth";
            case 0xFF94: return "yakatakanahalfwidth";
            case 0xFF95: return "yukatakanahalfwidth";
            case 0xFF96: return "yokatakanahalfwidth";
            case 0xFF97: return "rakatakanahalfwidth";
            case 0xFF98: return "rikatakanahalfwidth";
            case 0xFF99: return "rukatakanahalfwidth";
            case 0xFF9A: return "rekatakanahalfwidth";
            case 0xFF9B: return "rokatakanahalfwidth";
            case 0xFF9C: return "wakatakanahalfwidth";
            case 0xFF9D: return "nkatakanahalfwidth";
            case 0xFF9E: return "voicedmarkkanahalfwidth";
            case 0xFF9F: return "semivoicedmarkkanahalfwidth";
            case 0xFFE0: return "centmonospace";
            case 0xFFE1: return "sterlingmonospace";
            case 0xFFE3: return "macronmonospace";
            case 0xFFE5: return "yenmonospace";
            case 0xFFE6: return "wonmonospace";
            default: return "block";
        }
    }
