


#include "../include/encoding.h"
using namespace std;


wchar_t UTF8toWCHAR(char* utf8string, int numbytes)
{
    unsigned int codepoint;

    if(numbytes == 1)
    {
        codepoint = (unsigned short)utf8string[0] & 0x7F;
    }
    else
    {
        unsigned short first_byte_bitmask = 0x1F >> (numbytes-2);
        codepoint = (unsigned short)utf8string[0] & first_byte_bitmask;

        unsigned short rest_byte_bitmask = 0x3F;
        for(int i = 1; i < numbytes; i++)
            codepoint = (codepoint << 6) | (utf8string[i] & rest_byte_bitmask);
    }

    return wchar_t(codepoint);
}


std::string WStringToUtf8String(const std::wstring& str)
{
    std::string result="";
    for(std::wstring::const_iterator i = str.begin(); i != str.end(); i++)
    {
        wchar_t c = *i;
        if(c <= 0x0000007f)
            result += (char)(c);
        else if(c <= 0x000007FF)
            result = result + (char)(  0xC0 | ((c>>6)  & 0x1f))
                            + (char)(  0x80 | ( c      & 0x3f));
        else if(c <= 0x0000FFFF)
            result = result + (char)(  0xE0 | ((c>>12) & 0x0f))
                            + (char)(  0x80 | ((c>>6)  & 0x3f))
                            + (char)(  0x80 | ( c      & 0x3f));
        else if(c <= 0x0010FFFF)
            result = result + (char)(  0xF0 | ((c>>18) & 0x07))
                            + (char)(  0x80 | ((c>>12) & 0x3f))
                            + (char)(  0x80 | ((c>>6)  & 0x3f))
                            + (char)(  0x80 | ( c      & 0x3f));
        // else // illegal
    }
    return result;
}

std::wstring Utf8StringToWString(const std::string& str)
{
    std::wstring result=L"";
    for(std::string::const_iterator i = str.begin(); i != str.end();)
    {
        unsigned short ii = (unsigned short)(*i);
        int numbytes = 1;
        if((ii & 0x80) == 0x00) {result += (wchar_t)(ii); i++; continue;} // ASCII
        else if((ii & 0xE0) == 0xC0) numbytes = 2;
        else if((ii & 0xF0) == 0xE0) numbytes = 3;
        else if((ii & 0xF8) == 0xF0) numbytes = 4;

        if(numbytes == 1)
            continue;

        unsigned short first_byte_bitmask = 0x1F >> (numbytes-2);
        unsigned int codepoint = ((unsigned short)(*i)) & first_byte_bitmask;

        i++;
        const unsigned short rest_byte_bitmask = 0x3F;
        for(int j = 1; j < numbytes && i != str.end(); j++)
        {
            codepoint = (codepoint << 6) | (((unsigned short)(*i)) & rest_byte_bitmask);
            i++;
        }

        result += (wchar_t)(codepoint);
    }
    return result;
}
